Index: extensions/Psli_BingMaps/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/Psli_BingMaps/language/tr_TR/plugin.lang.php	(revision 20021)
+++ extensions/Psli_BingMaps/language/tr_TR/plugin.lang.php	(revision 20031)
@@ -25,3 +25,103 @@
 $lang['Associated map'] = 'İlişkilendirilmiş harita';
 $lang['Added pictures'] = 'Eklenen resimler';
+$lang['fifth step : check association with your maps'] = 'Beşinci adım: Haritalarınızla ilişkilendirmeyi kontrol edin';
+$lang['fourth step : make modification to pin associated to your pictures'] = 'Dördüncü adım: Resimlerinizle ilişkili raptiyelenen değişiklikleri yapın';
+$lang['third step : create new zone and new pin'] = 'Üçüncü adım: Yeni alan ve yeni raptiye oluşturun';
+$lang['second step : import exif data from your pictures'] = 'İkinci adım: Resimlerinizden Exif verilerini alın';
+$lang['first step : create map'] = 'İlk adım: Harita oluştur';
+$lang['last step : Enjoy !'] = 'Son adım: Tadını çıkar!';
+$lang['pictures'] = 'resim';
+$lang['Zoom level 8'] = 'Yakınlaştırma seviyesi 8';
+$lang['Zoom level 9'] = 'Yakınlaştırma seviyesi 9';
+$lang['Zoom minimum'] = 'Yakınlaştırma - En az';
+$lang['Zoom maximum'] = 'Yakınlaştırma - En fazla';
+$lang['Zone mode'] = 'Alan modu';
+$lang['Zoom'] = 'Yakınlaştır';
+$lang['Zoom level 1'] = 'Yakınlaştırma seviyesi 1';
+$lang['Zoom level 10'] = 'Yakınlaştırma seviyesi 10';
+$lang['Zoom level 11'] = 'Yakınlaştırma seviyesi 11';
+$lang['Zoom level 12'] = 'Yakınlaştırma seviyesi 12';
+$lang['Zoom level 13'] = 'Yakınlaştırma seviyesi 13';
+$lang['Zoom level 14'] = 'Yakınlaştırma seviyesi 14';
+$lang['Zoom level 15'] = 'Yakınlaştırma seviyesi 15';
+$lang['Zoom level 16'] = 'Yakınlaştırma seviyesi 16';
+$lang['Zoom level 17'] = 'Yakınlaştırma seviyesi 17';
+$lang['Zoom level 18'] = 'Yakınlaştırma seviyesi 18';
+$lang['Zoom level 19'] = 'Yakınlaştırma seviyesi 19';
+$lang['Zoom level 2'] = 'Yakınlaştırma seviyesi 2';
+$lang['Zoom level 20'] = 'Yakınlaştırma seviyesi 10';
+$lang['Zoom level 3'] = 'Yakınlaştırma seviyesi 3';
+$lang['Zoom level 4'] = 'Yakınlaştırma seviyesi 4';
+$lang['Zoom level 5'] = 'Yakınlaştırma seviyesi 5';
+$lang['Zoom level 6'] = 'Yakınlaştırma seviyesi 6';
+$lang['Zoom level 7'] = 'Yakınlaştırma seviyesi 7';
+$lang['You need to select a category'] = 'Bir kategori seçmelisiniz';
+$lang['You need to select a map'] = 'Bir harita seçmelisiniz';
+$lang['You need to select a picture'] = 'Bir resim seçmelisiniz';
+$lang['You need to select a pin'] = 'Bir raptiye seçmelisiniz';
+$lang['You need to select a zone'] = 'Bir alan seçmelisiniz';
+$lang['User manual'] = 'Kullanıcı kılavuzu';
+$lang['Show map center'] = 'Harita merkezini göster';
+$lang['Show guest view'] = 'Misafir görünümünü göster';
+$lang['Set'] = 'Ayarla';
+$lang['Exif import'] = 'Exif al';
+$lang['No exif in pictures for this category'] = 'Bu kategorideki resimlerde Exif yok';
+$lang['No selected entity'] = 'Seçilen varlık yok';
+$lang['No selected map'] = 'Seçilen harita yok';
+$lang['Not assign to a category'] = 'Bir kategoriye bağlanmadı';
+$lang['Select a Map'] = 'Bir Harita Seçin';
+$lang['Select a picture'] = 'Bir resim seçin';
+$lang['Select a pin'] = 'Bir raptiye seçin';
+$lang['Select a zone'] = 'Bir alan seçin';
+$lang['Zone'] = 'Alan';
+$lang['Zone Title'] = 'Alan Başlığı';
+$lang['Open Category'] = 'Kategori Aç';
+$lang['Open Picture'] = 'Resim Aç';
+$lang['Open this category'] = 'Bu kategoriyi aç';
+$lang['Open this map'] = 'Bu haritayı aç';
+$lang['Open this picture'] = 'Bu resmi aç';
+$lang['Open this pin'] = 'Bu raptiyeyi aç';
+$lang['Open this zone'] = 'Bu alanı aç';
+$lang['Picture'] = 'Resim';
+$lang['Picture Title'] = 'Resim Başlığı';
+$lang['Picture mode'] = 'Resim modu';
+$lang['Pin'] = 'Raptiye';
+$lang['Pin Title'] = 'Raptiye Başlığı';
+$lang['Pin mode'] = 'Raptiye Modu';
+$lang['Reload saved zone'] = 'Kaydedilen alanı geri çağır';
+$lang['Select a Category'] = 'Bir Kategori Seçin';
+$lang['Click to zoom on'] = 'Yakınlaştırmak için klikle';
+$lang['Configuration'] = 'Yapılandırma';
+$lang['Configuration mode'] = 'Yapılandırma modu';
+$lang['Entity field'] = 'Varlık alanı';
+$lang['Latitude'] = 'Enlem';
+$lang['Longitude'] = 'Boylam';
+$lang['Map Title'] = 'Harita Başlığı';
+$lang['Map mode'] = 'Harita modu';
+$lang['Modified pictures'] = 'Değiştirilen resimler';
+$lang['New Entity'] = 'Yeni Varlık';
+$lang['New Map'] = 'Yeni Harita';
+$lang['New Picture'] = 'Yeni Resim';
+$lang['New Pin'] = 'Yeni Raptiye';
+$lang['New Zone'] = 'Yeni Alan';
+$lang['Create a map'] = 'Bir harita oluştur';
+$lang['Create a pin'] = 'Bir raptiye oluştur';
+$lang['Create a zone'] = 'Bir alan oluştur';
+$lang['Delete all points'] = 'Tüm noktaları sil';
+$lang['Delete last point'] = 'Son noktayı sil';
+$lang['Delete this map'] = 'Bu haritayı sil';
+$lang['Delete this picture'] = 'Bu resmi sil';
+$lang['Delete this pin'] = 'Bu raptiyeyi sil';
+$lang['Delete this zone'] = 'Bu alanı sil';
+$lang['Action'] = 'Aksiyon';
+$lang['Action Album'] = 'Aksiyon Albümü';
+$lang['Action Picture'] = 'Aksiyon Resmi';
+$lang['Action Zoom'] = 'Aksiyon Yakınlaştırma';
+$lang['Batch association'] = 'Toplu bağlantı';
+$lang['Category not selected'] = 'Kategori seçilmedi';
+$lang['Center Latittude'] = 'Merkez Enlem';
+$lang['Center Longitude'] = 'Merkez Boylam';
+$lang['Change Zoom Level'] = 'Yakınlaştırma Seviyesini Değiştir';
+$lang['Click to show picture'] = 'Resmi görüntülemek için klikle';
+$lang['Click to show pictures of'] = 'Bu resmi görüntülemek için klikle:';
 ?>