Index: extensions/Piwecard/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 20032)
+++ extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 20047)
@@ -1,53 +1,54 @@
 <?php
-$lang['piwecard_plugin']					= 'Piwecard Plugin';
+$lang['piwecard_plugin']						= 'Piwecard Plugin';
 
 //Admin pages
-$lang['ecard_admin_saveOK'] 				= 'Your data have been saved in the database';
+$lang['piwecard_admin_saveOK'] 					= 'Your data have been saved in the database';
 
 //admin.php
-$lang['ecard_admin_authorizations']			= 'Authorizations';
-$lang['ecard_admin_configuration']			= 'Configuration';
-$lang['ecard_admin_management']				= 'Management';
+$lang['piwecard_admin_authorizations']			= 'Authorizations';
+$lang['piwecard_admin_configuration']			= 'Configuration';
+$lang['piwecard_admin_management']				= 'Management';
 
 //admin_authorizations.php
-$lang['piwecard_selected_cats']				= 'Selected cats';
-$lang['piwecard_non_selected_cats']			= 'Non selected cats';
+$lang['piwecard_selected_cats']					= 'Selected categories';
+$lang['piwecard_non_selected_cats']				= 'Non selected categories';
 
 //admin_authorizations.tpl
-$lang['ecard_authorizations_cat']			= 'Authorizations depending on the category';
-$lang['ecard_authorizations_all_cats']		= 'Sending of e-cards is authorized on all the categories accessible by the user';
-$lang['ecard_authorizations_selected_cats'] = 'Sending of e-cards is authorized only on a selection of catetories and if selected categories are accessible by the user';
-$lang['ecard_authorizations_user_cat']		= 'Sending of e-cards is authorized only if the cateory or one of its parents is named after the user (case sensitive) or if the user is the author of the image';
+$lang['piwecard_authorizations_cat']			= 'Authorizations depending on the category';
+$lang['piwecard_authorizations_all_cats']		= 'Sending of e-cards is authorized on all the categories accessible by the user';
+$lang['piwecard_authorizations_selected_cats']  = 'Sending of e-cards is authorized only on a selection of catetories and if selected categories are accessible by the user';
+$lang['piwecard_authorizations_user_cat']		= 'Sending of e-cards is authorized only if the category or one of its parents is named after the user (case sensitive) or if the user is the author of the image';
 
 //admin_configuration.php
-$lang['ecard_nolimit']						= 'Unlimited';
+$lang['piwecard_nolimit']						= 'Unlimited';
+$lang['piwecard_email_format_default_error']	= 'The default e-mail format must be one of the selected e-mail format';
 
 //admin_configuration.tpl
-$lang['ecard_configuration'] 				= 'Standard configuration';
-$lang['ecard_validity_default']				= 'Default validity of the e-card';
-$lang['ecard_sender_copy']					= 'Send a copy of the e-card to the sender';
-$lang['ecard_sender_email_change']			= 'Allow the user to change his/her e-mail address (not applicable to guests)';
-$lang['ecard_email_format']					= 'e-mail format';
-$lang['ecard_email_format_text']			= 'Texte';
-$lang['ecard_email_format_html']			= 'HTML';
-$lang['ecard_email_format_default']			= 'Default e-mail format';
-$lang['ecard_show_image_infos']				= 'Show the title and the author of the image under the picture';
-$lang['ecard_default_guest_email']			= 'Default e-mail address for guests';
-$lang['ecard_email_configuration']			= 'e-mail configuration';
-$lang['ecard_email_subject']				= 'Subject';
-$lang['ecard_email_message_text']			= 'Message when the e-mail format is text';
-$lang['ecard_email_message_html']			= 'Message when the e-mail format is HTML';
-$lang['ecard_parameters']					= 'Parameters';
-$lang['piwecard_sender_name']				= 'Sender name';
-$lang['piwecard_sender_email']				= 'Sender e-mail';
-$lang['piwecard_recipient_name']			= 'Recipient name';
-$lang['piwecard_recipient_email']			= 'Recipient e-mail';
-$lang['piwecard_website']					= 'Website';
-$lang['piwecard_website_url']				= 'Website URL';
-$lang['piwecard_ecard_url']					= 'Ecard URL';
-$lang['piwecard_ecard_subject']				= 'Subject';
-$lang['piwecard_ecard_message']				= 'Message';
-$lang['piwecard_ecard_image_url']			= 'Image URL';
-$lang['piwecard_ecard_image_infos']			= 'Image infos (title and author)';
+$lang['piwecard_configuration'] 				= 'Standard configuration';
+$lang['piwecard_validity_default']				= 'Default validity of the e-card';
+$lang['piwecard_sender_copy']					= 'Send a copy of the e-card to the sender';
+$lang['piwecard_sender_email_change']			= 'Allow the sender to change his/her e-mail address (not applicable to guests unless the default e-mail address is configured)';
+$lang['piwecard_email_format']					= 'e-mail format';
+$lang['piwecard_email_format_text']				= 'Text';
+$lang['piwecard_email_format_html']				= 'HTML';
+$lang['piwecard_email_format_default']			= 'Default e-mail format';
+$lang['piwecard_show_image_infos']				= 'Show the title and the author of the image under the picture';
+$lang['piwecard_default_guest_email']			= 'Default e-mail address for guests';
+$lang['piwecard_email_configuration']			= 'e-mail configuration';
+$lang['piwecard_email_subject']					= 'Subject';
+$lang['piwecard_email_message_text']			= 'Message when the e-mail format is text';
+$lang['piwecard_email_message_html']			= 'Message when the e-mail format is HTML';
+$lang['piwecard_parameters']					= 'Parameters';
+$lang['piwecard_sender_name']					= 'Sender name';
+$lang['piwecard_sender_email']					= 'Sender e-mail';
+$lang['piwecard_recipient_name']				= 'Recipient name';
+$lang['piwecard_recipient_email']				= 'Recipient e-mail';
+$lang['piwecard_website']						= 'Name of the gallery';
+$lang['piwecard_website_url']					= 'Gallery URL';
+$lang['piwecard_ecard_url']						= 'Ecard URL';
+$lang['piwecard_ecard_subject']					= 'Ecard title';
+$lang['piwecard_ecard_message']					= 'Message';
+$lang['piwecard_ecard_image_url']				= 'Image URL';
+$lang['piwecard_ecard_image_infos']				= 'Image infos (title and author)';
 
 
@@ -56,44 +57,47 @@
 
 //admin_management.tpl
-$lang['ecard_list'] 						= 'List of e-cards';
-$lang['ecard_valid'] 						= 'valid(s)';
-$lang['ecard_total'] 						= 'total'; 
-$lang['ecard_delete_all'] 					= 'Delete all expired e-card';
-$lang['ecard_title'] 						= 'Title';
-$lang['ecard_date_creation'] 				= 'Date';
-$lang['ecard_sender_name'] 					= 'Sender name';
-$lang['ecard_recipient_name'] 				= 'Recipient name';
-$lang['ecard_validity'] 					= 'Validity date';
-$lang['ecard_delete'] 						= 'Delete';
-$lang['ecard_nb_ecard_page'] 				= 'Number of e-card per page';
-$lang['ecard_no_ecard'] 					= 'No e-card in the database';
-$lang['ecard_delete_selected']				= 'Delete selected e-cards';
+$lang['piwecard_list'] 							= 'List of e-cards';
+$lang['piwecard_nb_ecard_valid_total'] 			= '%nb_valid% valid e-cards out of %nb_total% e-cards';
+$lang['piwecard_delete_all_invalid'] 			= 'Delete all expired e-card';
+$lang['piwecard_title'] 						= 'Title';
+$lang['piwecard_date_creation'] 				= 'Date';
+$lang['piwecard_sender_name'] 					= 'Sender';
+$lang['piwecard_recipient_name'] 				= 'Recipient';
+$lang['piwecard_validity'] 						= 'Validity date';
+$lang['piwecard_delete'] 						= 'Delete';
+$lang['piwecard_deleted'] 						= 'Selected e-cards have been deleted.';
+$lang['piwecard_invalid_deleted'] 				= 'All expired e-cards have been deleted.';
+$lang['piwecard_nb_ecard_page'] 				= 'Number of e-card per page';
+$lang['piwecard_no_ecard'] 						= 'No e-card in the database';
+$lang['piwecard_delete_selected']				= 'Delete selected e-cards';
 
 //ecard.tpl
-$lang['ecard_send_stage1'] 					= 'Stage 1: Write your message';
-$lang['ecard_send_stage2'] 					= 'Stage 2: Edit information';
-$lang['ecard_send_stage3'] 					= 'Stage 3: Options';
-$lang['ecard_send_stage4'] 					= 'Stage 4: Send the e-card!';
-$lang['ecard_error'] 						= 'Error!';
-$lang['ecard_error_text'] 					= 'Please enter a text.';
-$lang['ecard_error_email'] 					= 'Please enter a valid e-mail.';
-$lang['ecard_send_title'] 					= 'Title';
-$lang['ecard_send_message'] 				= 'Message';
-$lang['ecard_sender'] 						= 'Sender';
-$lang['ecard_recipient'] 					= 'Recipient';
-$lang['ecard_validity_label'] 				= 'Period of validity';
-$lang['ecard_send_mandatory_fields'] 		= 'Mandatory fields';
-$lang['ecard_send'] 						= 'Send';
-$lang['ecard_send_link']					= 'Click here to send an e-card';
+$lang['piwecard_send_stage1'] 					= 'Stage 1: Write the message';
+$lang['piwecard_send_stage2'] 					= 'Stage 2: Edit the informations';
+$lang['piwecard_send_stage3'] 					= 'Stage 3: Options';
+$lang['piwecard_send_stage4'] 					= 'Stage 4: Send the e-card!';
+$lang['piwecard_error'] 						= 'Error!';
+$lang['piwecard_error_text'] 					= 'Please enter a text.';
+$lang['piwecard_error_email'] 					= 'Please enter a valid e-mail.';
+$lang['piwecard_error_integer'] 				= 'Please enter a valid number.';
+$lang['piwecard_errors'] 						= 'See detail of errors below';
+$lang['piwecard_send_title'] 					= 'Title';
+$lang['piwecard_send_message'] 					= 'Message';
+$lang['piwecard_sender'] 						= 'Sender';
+$lang['piwecard_recipient'] 					= 'Recipient';
+$lang['piwecard_validity_label'] 				= 'Period of validity';
+$lang['piwecard_send_mandatory_fields'] 		= 'Mandatory fields';
+$lang['piwecard_send'] 							= 'Send';
+$lang['piwecard_send_link']						= 'Click here to send an e-card';
 
 //publish.tpl
-$lang['ecard_invalid_ecard']  				= 'Invalid or expired e-card';
-$lang['ecard_publish_footer']  				= 'This e-card was sent by ';
+$lang['piwecard_invalid_ecard']  				= 'Invalid or expired e-card';
+$lang['piwecard_publish_footer']  				= 'This e-card was sent by ';
 
 //piwecard.class.php
-$lang['ecard_subject']						= 'e-mail subject';
-$lang['ecard_message']						= 'Message';
-$lang['ecard_recipient_name']				= 'Recipient name';
-$lang['ecard_recipient_email']				= 'Recipient e-mail';
-$lang['ecard_days']							= 'days';
+$lang['piwecard_subject']						= 'e-mail subject';
+$lang['piwecard_message']						= 'Message';
+$lang['piwecard_recipient_name']				= 'Recipient name';
+$lang['piwecard_recipient_email']				= 'Recipient e-mail';
+$lang['piwecard_days']							= 'days';
 ?>