Index: /extensions/Piwecard/admin.php
===================================================================
--- /extensions/Piwecard/admin.php	(revision 20058)
+++ /extensions/Piwecard/admin.php	(revision 20059)
@@ -5,5 +5,5 @@
 global $template, $conf, $user;
 
-load_language('plugin.lang', ECARD_PATH);
+load_language('plugin.lang', PIWECARD_PATH);
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 
@@ -21,9 +21,9 @@
 $tabsheet = new tabsheet();
 foreach ($conf['Ecard_tabs'] as $tab) {
-	$tabsheet->add($tab, l10n('piwecard_admin_'.$tab), ECARD_ADMIN.'-'.$tab);
+	$tabsheet->add($tab, l10n('piwecard_admin_'.$tab), PIWECARD_ADMIN.'-'.$tab);
 }
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
 
-include_once(ECARD_PATH.'/admin/admin_'.$page['tab'].'.php');
+include_once(PIWECARD_PATH.'/admin/admin_'.$page['tab'].'.php');
 ?>
Index: /extensions/Piwecard/admin/admin_authorizations.php
===================================================================
--- /extensions/Piwecard/admin/admin_authorizations.php	(revision 20058)
+++ /extensions/Piwecard/admin/admin_authorizations.php	(revision 20059)
@@ -7,5 +7,5 @@
 
 $template->set_filenames(array(
-	'plugin_admin_content' 	=> ECARD_ROOT.'/admin/template/admin_authorizations.tpl',
+	'plugin_admin_content' 	=> PIWECARD_ROOT.'/admin/template/admin_authorizations.tpl',
 	'double_select' 		=> 'double_select.tpl'
 ));
@@ -35,5 +35,5 @@
 	$piwecard->my_config['authorized_cats'] = $_POST['ecard_authorized_cats'];
 	$piwecard->set_config();
-	array_push($page['infos'], l10n('piwecard_admin_saveOK'));
+	array_push($page['infos'], l10n('Information data registered in database'));
 }
 
Index: /extensions/Piwecard/admin/admin_configuration.php
===================================================================
--- /extensions/Piwecard/admin/admin_configuration.php	(revision 20058)
+++ /extensions/Piwecard/admin/admin_configuration.php	(revision 20059)
@@ -58,5 +58,5 @@
 	
 	if (empty($errors)) {
-		array_push($page['infos'], l10n('piwecard_admin_saveOK'));
+		array_push($page['infos'], l10n('Information data registered in database'));
 	} else {
 		$template->assign('ecard_errors', $errors);
@@ -81,5 +81,5 @@
 											'selected' => (in_array($email_format, $piwecard->my_config['email_format_authorized']) ? 'checked="checked"' : ''),
 											'selected_default' => (($piwecard->my_config['email_format_default'] == $email_format) ? 'checked="checked"' : ''),
-											'language_string' => 'ecard_email_format_'.$email_format,
+											'language_string' => 'piwecard_email_format_'.$email_format,
 										)
 	);
Index: /extensions/Piwecard/admin/admin_management.php
===================================================================
--- /extensions/Piwecard/admin/admin_management.php	(revision 20058)
+++ /extensions/Piwecard/admin/admin_management.php	(revision 20059)
@@ -36,9 +36,9 @@
 
 //Create the navigation bar (for more than 1 page)
-$management_url = ECARD_ADMIN.'-management';
+$management_url = PIWECARD_ADMIN.'-management';
 $ecard_navbar = array();
 $ecard_navbar = create_navigation_bar($management_url, $piwecard->get_nb_ecard(), $start, $piwecard->my_config['nb_ecard_page']);
 
-$query = 'SELECT * FROM '.ECARD_TABLE.' ORDER BY date_creation DESC LIMIT '.$start.','.$piwecard->my_config['nb_ecard_page'].';';
+$query = 'SELECT * FROM '.PIWECARD_TABLE.' ORDER BY date_creation DESC LIMIT '.$start.','.$piwecard->my_config['nb_ecard_page'].';';
 $result = pwg_query($query);
 
@@ -51,5 +51,5 @@
 	$template->append('ecard_file',array(
 									'id'				=> $file['id'],
-									'subject'			=> $file['subject'],
+									'title'				=> $file['title'],
 									'url' 				=> $ecard_url,
 									'sender_name'  		=> $file['sender_name'],
Index: /extensions/Piwecard/admin/template/admin_configuration.tpl
===================================================================
--- /extensions/Piwecard/admin/template/admin_configuration.tpl	(revision 20058)
+++ /extensions/Piwecard/admin/template/admin_configuration.tpl	(revision 20059)
@@ -111,5 +111,5 @@
 				<div>
 					{foreach from=$ecard_email_format item=ecard_email_format}
-						<span><input type="checkbox" name="ecard_email_format[{$ecard_email_format.id}]" id="ecard_email_format_{$ecard_email_format.id}" value="{$ecard_email_format.id}" {$ecard_email_format.selected}/> <label for="ecard_email_format_{$ecard_email_format.id}">{$piwecard_email_format.language_string|@translate}</label></span>
+						<span><input type="checkbox" name="ecard_email_format[{$ecard_email_format.id}]" id="ecard_email_format_{$ecard_email_format.id}" value="{$ecard_email_format.id}" {$ecard_email_format.selected}/> <label for="ecard_email_format_{$ecard_email_format.id}">{$ecard_email_format.language_string|@translate}</label></span>
 					{/foreach}
 				</div>
@@ -119,5 +119,5 @@
 				<div>
 					{foreach from=$ecard_email_format_default item=ecard_email_format_default}
-						<span id="ecard_form_line_default_{$ecard_email_format_default.id}"><input type="radio" name="ecard_email_format_default" id="ecard_email_format_default_{$ecard_email_format_default.id}" value="{$ecard_email_format_default.id}" {$ecard_email_format_default.selected_default}/> <label for="ecard_email_format_default_{$ecard_email_format_default.id}">{$piwecard_email_format_default.language_string|@translate}</label></span>
+						<span id="ecard_form_line_default_{$ecard_email_format_default.id}"><input type="radio" name="ecard_email_format_default" id="ecard_email_format_default_{$ecard_email_format_default.id}" value="{$ecard_email_format_default.id}" {$ecard_email_format_default.selected_default}/> <label for="ecard_email_format_default_{$ecard_email_format_default.id}">{$ecard_email_format_default.language_string|@translate}</label></span>
 					{/foreach}
 					<span class="ecard_admin_error" id="ecard_email_format_default_error" style="{$piwecard_errors.email_format_default.style_error_text}">{'piwecard_error'|@translate} {'piwecard_email_format_default_error'|@translate}</span>
@@ -142,5 +142,5 @@
 			<div id="ecard_form_line ecard_parameters_description">
 				<div id="ecard_form_line">
-					{'piwecard_parameters'|@translate}<br />
+					{'Parameters'|@translate}<br />
 				</div>
 				<div id="ecard_form_line">
@@ -149,5 +149,5 @@
 					<span class="ecard_parameters_description_parameter">%recipientname% : </span><span class="ecard_parameters_description_text">{'piwecard_recipient_name'|@translate}</span><br />
 					<span class="ecard_parameters_description_parameter">%recipientemail% : </span><span class="ecard_parameters_description_text">{'piwecard_recipient_email'|@translate}</span><br />
-					<span class="ecard_parameters_description_parameter">%website% : </span><span class="ecard_parameters_description_text">{'piwecard_website'|@translate}</span><br />
+					<span class="ecard_parameters_description_parameter">%website% : </span><span class="ecard_parameters_description_text">{'Gallery title'|@translate}</span><br />
 					<span class="ecard_parameters_description_parameter">%websiteurl% : </span><span class="ecard_parameters_description_text">{'piwecard_website_url'|@translate}</span><br />
 					<span class="ecard_parameters_description_parameter">%ecardurl% : </span><span class="ecard_parameters_description_text">{'piwecard_ecard_url'|@translate}</span><br />
Index: /extensions/Piwecard/admin/template/admin_management.tpl
===================================================================
--- /extensions/Piwecard/admin/template/admin_management.tpl	(revision 20058)
+++ /extensions/Piwecard/admin/template/admin_management.tpl	(revision 20059)
@@ -62,6 +62,6 @@
 					<tr class="throw">
 						<td>&nbsp;</td>
-						<td>{'piwecard_title'|@translate}</td>
-						<td>{'piwecard_date_creation'|@translate}</td>
+						<td>{'Title'|@translate}</td>
+						<td>{'date'|@translate}</td>
 						<td>{'piwecard_sender_name'|@translate}</td>
 						<td>{'piwecard_recipient_name'|@translate}</td>
@@ -83,5 +83,5 @@
 							</td>
 							<td>
-								<a href="{$ecard_file.url}">{$ecard_file.subject}</a>
+								<a href="{$ecard_file.url}">{$ecard_file.title}</a>
 							</td>
 							<td>
Index: /extensions/Piwecard/css/piwecard.css
===================================================================
--- /extensions/Piwecard/css/piwecard.css	(revision 20058)
+++ /extensions/Piwecard/css/piwecard.css	(revision 20059)
@@ -9,4 +9,6 @@
 #addECardForm  .ecard_field {
 	padding-bottom: 0.5em;
+	clear: both;
+	vertical-align:middle;
 }
 
Index: /extensions/Piwecard/include/config_param.inc.php
===================================================================
--- /extensions/Piwecard/include/config_param.inc.php	(revision 20058)
+++ /extensions/Piwecard/include/config_param.inc.php	(revision 20059)
@@ -12,8 +12,8 @@
 		'%websiteurl%'		=> get_absolute_root_url() ,
 		'%ecardurl%'		=> isset($image_element['ecard_url']) ? $image_element['ecard_url'] : ''  ,
-		'%ecardsubject%'	=> isset($_POST['ecard_subject']) ? $_POST['ecard_subject'] : ''  ,
+		'%ecardtitle%'		=> isset($_POST['ecard_title']) ? $_POST['ecard_title'] : ''  ,
 		'%ecardmessage%'	=> isset($_POST['ecard_message']) ? $_POST['ecard_message'] : ''  ,	
 		'%pictureurl%'		=> DerivativeImage::thumb_url($image_element) ,
-		'%pictureinfos%'		=> isset($image_element['picture_infos']) ? $image_element['picture_infos'] : ''  ,
+		'%pictureinfos%'	=> isset($image_element['picture_infos']) ? $image_element['picture_infos'] : ''  ,
 		);
 
Index: /extensions/Piwecard/include/piwecard.class.php
===================================================================
--- /extensions/Piwecard/include/piwecard.class.php	(revision 20058)
+++ /extensions/Piwecard/include/piwecard.class.php	(revision 20059)
@@ -27,5 +27,5 @@
 	// Initialize default values of params
 	private function get_default_config() {
-	    require(ECARD_INSTALL_PATH.'default_values.inc.php');
+	    require(PIWECARD_INSTALL_PATH.'default_values.inc.php');
 	    foreach ($ecard_default_values as $key => $value) {
 		    if (!isset($this->my_config[$key]))
@@ -66,5 +66,5 @@
 	
 	function parse($data, $_POST = NULL, $image_element = NULL) {
-		include (ECARD_PATH.'include/config_param.inc.php');
+		include (PIWECARD_PATH.'include/config_param.inc.php');
 
 		$patterns = array();
@@ -80,5 +80,5 @@
 	// Get the number of ecard in the database
 	function get_nb_ecard() {
-		$query = 'SELECT COUNT(DISTINCT id) AS nb FROM '.ECARD_TABLE.' ORDER BY date_creation;';
+		$query = 'SELECT COUNT(DISTINCT id) AS nb FROM '.PIWECARD_TABLE.' ORDER BY date_creation;';
 		$result = pwg_query($query);
 		
@@ -92,5 +92,5 @@
 	// Get the number of valid ecard in the database
 	function get_nb_valid_ecard() {
-		$query = 'SELECT COUNT(DISTINCT id) AS nb FROM '.ECARD_TABLE.' WHERE date_validity IS NULL OR date_validity > NOW();';
+		$query = 'SELECT COUNT(DISTINCT id) AS nb FROM '.PIWECARD_TABLE.' WHERE date_validity IS NULL OR date_validity > NOW();';
 		$result = pwg_query($query);
 		
@@ -106,5 +106,5 @@
 	function get_ecard($ecard_id = null) {
 		if ($ecard_id!== null) {
-			$query = 'SELECT * FROM ' . ECARD_TABLE .' WHERE id ="' . $ecard_id . '" LIMIT 1;';
+			$query = 'SELECT * FROM ' . PIWECARD_TABLE .' WHERE id ="' . $ecard_id . '" LIMIT 1;';
 
 			$result = pwg_query($query);
@@ -144,5 +144,5 @@
 	function delete_ecard($ecard_id = null) {
 		if (isset($ecard_id)) {
-			$query = 'DELETE FROM ' . ECARD_TABLE .' WHERE id="' . $ecard_id  . '";';
+			$query = 'DELETE FROM ' . PIWECARD_TABLE .' WHERE id="' . $ecard_id  . '";';
 			pwg_query($query);
 		} else
@@ -152,5 +152,5 @@
 	// Delete all invalid ecard
 	function delete_allinvalid_ecard() {
-		$query = 'DELETE FROM ' . ECARD_TABLE .' WHERE date_validity < NOW();';
+		$query = 'DELETE FROM ' . PIWECARD_TABLE .' WHERE date_validity < NOW();';
 		pwg_query($query);
 	}
@@ -223,5 +223,5 @@
 				// Template informations
 				$template->assign('ecard', array(
-						'subject'			=> l10n('piwecard_subject'),
+						'title'				=> l10n('Title'),
 						'message' 			=> l10n('piwecard_message'),
 						'sender_name' 		=> $user['username'],
@@ -249,5 +249,5 @@
 					$template->append('ecard_email_format', array(
 																'id' => $email_format,
-																'name' => l10n('piwecard_mail_format_'.$email_format),
+																'name' => l10n('piwecard_email_format_'.$email_format),
 																'selected' => (($this->my_config['email_format_default'] == $email_format) ?  '' : 'checked'),
 															)
@@ -290,5 +290,5 @@
 								'sender_email' 		=> $_POST['ecard_sender_email'],
 								'recipient_email' 	=> $_POST['ecard_recipient_email'],
-								'subject' 			=> $_POST['ecard_subject'],
+								'title' 			=> $_POST['ecard_title'],
 								'message' 			=> $_POST['ecard_message'],
 								'image' 			=> $image_element['id'],
@@ -300,5 +300,5 @@
 						$insert['date_validity'] = $date->format('Y-m-d H:i:s');
 					}
-					single_insert(ECARD_TABLE, $insert);
+					single_insert(PIWECARD_TABLE, $insert);
 					
 					// Complete the image_element array with Link for the ecard url to be added in the mail
@@ -352,5 +352,5 @@
 				}
 				
-				$template->set_filenames(array('ecard_template' =>  ECARD_ROOT.'/template/ecard.tpl'));
+				$template->set_filenames(array('ecard_template' =>  PIWECARD_ROOT.'/template/ecard.tpl'));
 				$template->concat('COMMENT_IMG', $template->parse('ecard_template', true));
 			}
Index: /extensions/Piwecard/include/publish.inc.php
===================================================================
--- /extensions/Piwecard/include/publish.inc.php	(revision 20058)
+++ /extensions/Piwecard/include/publish.inc.php	(revision 20059)
@@ -10,5 +10,5 @@
 
 if (isset($ecard_id) and $ecard_id != '' and $ecard->is_valid($ecard_id)) {
-	$query = 'SELECT * FROM '.ECARD_TABLE.' WHERE id = "'.$ecard_id.'";';
+	$query = 'SELECT * FROM '.PIWECARD_TABLE.' WHERE id = "'.$ecard_id.'";';
 	$result = pwg_query($query);
 	$result_array = pwg_db_fetch_assoc($result);
@@ -32,5 +32,5 @@
 		//Assign variables to template
 		$template->assign('ecard', array(
-				'subject' 		=> $result_array['subject'],
+				'title' 		=> $result_array['title'],
 				'image' 		=> $result_array['image'],
 				'message' 		=> $result_array['message'],
@@ -46,5 +46,5 @@
 	}
 }
-$template->set_filenames(array('ecard_result' =>  ECARD_ROOT.'/template/publish.tpl'));
+$template->set_filenames(array('ecard_result' =>  PIWECARD_ROOT.'/template/publish.tpl'));
 $template->concat('PLUGIN_INDEX_CONTENT_BEGIN', $template->parse('ecard_result', true));
   
Index: /extensions/Piwecard/install/default_values.inc.php
===================================================================
--- /extensions/Piwecard/install/default_values.inc.php	(revision 20058)
+++ /extensions/Piwecard/install/default_values.inc.php	(revision 20059)
@@ -25,5 +25,5 @@
 '<p>Bonjour %recipientname% !</p>
 <p><b>%yourname%</b> vous a envoy&eacute; une eCard depuis le site <a href="%websiteurl%">%website%</a> :</p>
-<p><b>%ecardsubject%</b></p>
+<p><b>%ecardtitle%</b></p>
 <p><a href="%ecardurl%"><img class="theImage" src="%pictureurl%" /></a><p>
 <p>%pictureinfos%</p><br />
Index: /extensions/Piwecard/install/functions.inc.php
===================================================================
--- /extensions/Piwecard/install/functions.inc.php	(revision 20058)
+++ /extensions/Piwecard/install/functions.inc.php	(revision 20059)
@@ -7,5 +7,5 @@
 						recipient_name CHAR(100) NOT NULL,
 						recipient_email CHAR(100) NOT NULL,
-						subject CHAR(100) NOT NULL,
+						title CHAR(100) NOT NULL,
 						message TEXT NOT NULL,
 						image MEDIUMINT(8) NOT NULL,
@@ -33,5 +33,5 @@
 					'recipient_name' => $data['nomdest'],
 					'recipient_email' => $data['adrdest'],
-					'subject' => $data['sujet'],
+					'title' => $data['sujet'],
 					'message' => $data['message'],
 					'image' => $data['image'],
Index: /extensions/Piwecard/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 20058)
+++ /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 20059)
@@ -1,7 +1,4 @@
 <?php
 $lang['piwecard_plugin']						= 'Piwecard Plugin';
-
-//Admin pages
-$lang['piwecard_admin_saveOK'] 					= 'Your data have been saved in the database';
 
 //admin.php
@@ -12,5 +9,5 @@
 //admin_authorizations.php
 $lang['piwecard_selected_cats']					= 'Selected categories';
-$lang['piwecard_non_selected_cats'] = 'Non selected categories';
+$lang['piwecard_non_selected_cats']				= 'Non selected categories';
 
 //admin_authorizations.tpl
@@ -39,10 +36,8 @@
 $lang['piwecard_email_message_text']			= 'Message when the e-mail format is text';
 $lang['piwecard_email_message_html']			= 'Message when the e-mail format is HTML';
-$lang['piwecard_parameters']					= 'Parameters';
 $lang['piwecard_sender_name']					= 'Sender name';
 $lang['piwecard_sender_email']					= 'Sender e-mail';
 $lang['piwecard_recipient_name']				= 'Recipient name';
 $lang['piwecard_recipient_email']				= 'Recipient e-mail';
-$lang['piwecard_website']						= 'Name of the gallery';
 $lang['piwecard_website_url']					= 'Gallery URL';
 $lang['piwecard_ecard_url']						= 'Ecard URL';
@@ -60,10 +55,5 @@
 $lang['piwecard_nb_ecard_valid_total'] 			= '%nb_valid% valid e-cards out of %nb_total% e-cards';
 $lang['piwecard_delete_all_invalid'] 			= 'Delete all expired e-card';
-$lang['piwecard_title'] 						= 'Title';
-$lang['piwecard_date_creation'] 				= 'Date';
-$lang['piwecard_sender_name'] 					= 'Sender';
-$lang['piwecard_recipient_name'] 				= 'Recipient';
 $lang['piwecard_validity'] 						= 'Validity date';
-$lang['piwecard_delete'] 						= 'Delete';
 $lang['piwecard_deleted'] 						= 'Selected e-cards have been deleted.';
 $lang['piwecard_invalid_deleted'] 				= 'All expired e-cards have been deleted.';
@@ -82,6 +72,4 @@
 $lang['piwecard_error_integer'] 				= 'Please enter a valid number.';
 $lang['piwecard_errors'] 						= 'See detail of errors below';
-$lang['piwecard_send_title'] 					= 'Title';
-$lang['piwecard_send_message'] 					= 'Message';
 $lang['piwecard_sender'] 						= 'Sender';
 $lang['piwecard_recipient'] 					= 'Recipient';
@@ -96,5 +84,4 @@
 
 //piwecard.class.php
-$lang['piwecard_subject']						= 'e-mail subject';
 $lang['piwecard_message']						= 'Message';
 $lang['piwecard_recipient_name']				= 'Recipient name';
Index: /extensions/Piwecard/main.inc.php
===================================================================
--- /extensions/Piwecard/main.inc.php	(revision 20058)
+++ /extensions/Piwecard/main.inc.php	(revision 20059)
@@ -14,15 +14,15 @@
 define('ECARD_VERSION', '1.1.0');
 
-define('ECARD_ROOT', dirname(__FILE__));
-define('ECARD_DIR', basename(dirname(__FILE__)));
-define('ECARD_PATH', PHPWG_PLUGINS_PATH.ECARD_DIR.'/');
-define('ECARD_INC_PATH', PHPWG_PLUGINS_PATH . ECARD_DIR . '/include/');
-define('ECARD_INSTALL_PATH', PHPWG_PLUGINS_PATH . ECARD_DIR . '/install/');
-define('ECARD_TABLE', $prefixeTable . 'piwecard');
-define('ECARD_ADMIN',   get_root_url() . 'admin.php?page=plugin-'.ECARD_DIR);
+define('PIWECARD_ROOT', dirname(__FILE__));
+define('PIWECARD_DIR', basename(dirname(__FILE__)));
+define('PIWECARD_PATH', PHPWG_PLUGINS_PATH.PIWECARD_DIR.'/');
+define('PIWECARD_INC_PATH', PHPWG_PLUGINS_PATH . PIWECARD_DIR . '/include/');
+define('PIWECARD_INSTALL_PATH', PHPWG_PLUGINS_PATH . PIWECARD_DIR . '/install/');
+define('PIWECARD_TABLE', $prefixeTable . 'piwecard');
+define('PIWECARD_ADMIN',   get_root_url() . 'admin.php?page=plugin-'.PIWECARD_DIR);
 
-load_language('plugin.lang', ECARD_PATH);
+load_language('plugin.lang', PIWECARD_PATH);
 
-include_once(ECARD_INC_PATH.'piwecard.class.php');
+include_once(PIWECARD_INC_PATH.'piwecard.class.php');
 include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
 include_once(PHPWG_ROOT_PATH.'include/functions_picture.inc.php');
@@ -30,5 +30,5 @@
 
 // Load language files
-load_language('plugin.lang', ECARD_PATH);	
+load_language('plugin.lang', PIWECARD_PATH);	
 
 $piwecard = new Piwecard();
@@ -55,5 +55,5 @@
 		$menu, array(
 			'NAME'  => 'Piwecard',
-			'URL'   => ECARD_ADMIN,
+			'URL'   => PIWECARD_ADMIN,
 		)
 	);      
@@ -69,7 +69,7 @@
 	
 	if (defined('IN_ADMIN') and IN_ADMIN)
-		$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.ECARD_PATH . 'css/admin.css">');
+		$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.PIWECARD_PATH . 'css/admin.css">');
 	
-	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.ECARD_PATH . 'css/piwecard.css">');
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.PIWECARD_PATH . 'css/piwecard.css">');
 }	
 ?>
Index: /extensions/Piwecard/template/ecard.tpl
===================================================================
--- /extensions/Piwecard/template/ecard.tpl	(revision 20058)
+++ /extensions/Piwecard/template/ecard.tpl	(revision 20059)
@@ -10,5 +10,5 @@
 		height:"90%",
 		onComplete:function(){
-			jQuery("input[name=ecard_subject]").focus();
+			
 		}
 	});
@@ -18,10 +18,4 @@
 	});
 });
-
-function ecard_clearDefaultText(element, defaultText) {
-	if (element.value == defaultText) {
-		element.value = '';
-	}
-}
 
 function ecard_checkField(element, elementType) {
@@ -60,5 +54,5 @@
 
 function ecard_checkForm(form) {
-	var subjectOK = ecard_checkField(form.ecard_subject, 0);
+	var titleOK = ecard_checkField(form.ecard_title, 0);
 	var messageOK = ecard_checkField(form.ecard_message, 0);
 	var senderNameOK = ecard_checkField(form.ecard_sender_name, 0);
@@ -67,5 +61,5 @@
 	var recipientEMailOK = ecard_checkField(form.ecard_recipient_email, 1);
 	
-	if(subjectOK && messageOK && senderNameOK && senderEMailOK && recipientNameOK && recipientEMailOK)
+	if(titleOK && messageOK && senderNameOK && senderEMailOK && recipientNameOK && recipientEMailOK)
 		return true;
 	else
@@ -74,4 +68,5 @@
 {/literal}{/footer_script}
 
+</p>
 <div style="display:none">
 	<div id="addECardForm">
@@ -80,12 +75,12 @@
 				<legend>{'piwecard_send_stage1'|@translate}</legend>
 				<div class="ecard_field">
-					<div class="ecard_error" id="ecard_subject_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
-					<div class="ecard_error" id="ecard_message_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
-					<span class="ecard_label">{'piwecard_send_title'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
-					<span class="ecard_input_right"><input name="ecard_subject" type="text" id="ecard_subject" value="{$ecard.subject}" onfocus="ecard_clearDefaultText(this, '{$ecard.subject}');" title="{$ecard.subject}"></span>
+					<div class="ecard_error" id="ecard_title_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
+					<span class="ecard_label">{'Title'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
+					<span class="ecard_input_right"><input name="ecard_title" type="text" id="ecard_title" value="{$ecard.title}" title="{$ecard.title}"></span>
 				</div>
 				<div class="ecard_field">
-					<span class="ecard_label">{'piwecard_send_message'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
-					<span class="ecard_input_right"><textarea name="ecard_message" id="ecard_message" value="{$ecard.message}" onfocus="ecard_clearDefaultText(this, '{$ecard.message}');" title="{$ecard.message}">{$ecard.message}</textarea></span>
+					<div class="ecard_error" id="ecard_message_error">{'piwecard_error'|@translate} {'piwecard_error_text'|@translate}</div>
+					<span class="ecard_label">{'piwecard_message'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
+					<span class="ecard_input_right"><textarea name="ecard_message" id="ecard_message" value="{$ecard.message}" title="{$ecard.message}">{$ecard.message}</textarea></span>
 				</div>
 			</fieldset>
@@ -96,6 +91,6 @@
 					<div class="ecard_error" id="ecard_sender_email_error">{'piwecard_error'|@translate} {'piwecard_error_email'|@translate}</div>
 					<span class="ecard_label">{'piwecard_sender'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
-					<span class="ecard_name"><input name="ecard_sender_name" type="text" id="ecard_sender_name" maxlength="100" value="{$ecard.sender_name}"></span>
-					<span class="ecard_email"><input name="ecard_sender_email" type="text" id="ecard_sender_email" maxlength="100" {$ecard.changemail} value="{$ecard.sender_email}" onfocus="ecard_clearDefaultText(this, '{$ecard.sender_email}');" onblur="ecard_checkField(this, 1);"></span>
+					<span class="ecard_name"><input name="ecard_sender_name" type="text" id="ecard_sender_name" maxlength="100" value="{$ecard.sender_name}" onfocus="ecard_clearDefaultText(this, '{$ecard.sender_name}');"></span>
+					<span class="ecard_email"><input name="ecard_sender_email" type="text" id="ecard_sender_email" maxlength="100" {$ecard.changemail} value="{$ecard.sender_email}" onblur="ecard_checkField(this, 1);"></span>
 				</div>
 				<div class="ecard_field">
@@ -103,6 +98,6 @@
 					<div class="ecard_error" id="ecard_recipient_email_error">{'piwecard_error'|@translate} {'piwecard_error_email'|@translate}</div>
 					<span class="ecard_label">{'piwecard_recipient'|@translate}<span class="ecard_mandatory_fields">*</span> :</span>
-					<span class="ecard_name"><input name="ecard_recipient_name" type="text" id="ecard_recipient_name" maxlength="100" value="{$ecard.recipient_name}" onfocus="ecard_clearDefaultText(this, '{$ecard.recipient_name}');"></span>
-					<span class="ecard_email"><input name="ecard_recipient_email" type="text" id="ecard_recipient_email" maxlength="100" value="{$ecard.recipient_email}" onfocus="ecard_clearDefaultText(this, '{$ecard.recipient_email}');" onblur="ecard_checkField(this, 1);"></span>
+					<span class="ecard_name"><input name="ecard_recipient_name" type="text" id="ecard_recipient_name" maxlength="100" value="{$ecard.recipient_name}"></span>
+					<span class="ecard_email"><input name="ecard_recipient_email" type="text" id="ecard_recipient_email" maxlength="100" value="{$ecard.recipient_email}" onblur="ecard_checkField(this, 1);"></span>
 				</div>
 			</fieldset>
@@ -146,3 +141,3 @@
 <p>
 	<a href="#" class="createECardOpen" title="{'piwecard_send_link'|@translate}">{'piwecard_send_link'|@translate}</a>
-</p>
+</p><p>
Index: /extensions/Piwecard/template/publish.tpl
===================================================================
--- /extensions/Piwecard/template/publish.tpl	(revision 20058)
+++ /extensions/Piwecard/template/publish.tpl	(revision 20059)
@@ -4,5 +4,5 @@
 	{else}
 		<fieldset>
-			<legend id="ecard_legend">{$ecard.subject}</legend>
+			<legend id="ecard_legend">{$ecard.title}</legend>
 			<div class="ecard_center">
 				<a href="{$ecard.url}" alt="{$ecard.url}"> 