Index: /extensions/Piwecard/css/piwecard.css
===================================================================
--- /extensions/Piwecard/css/piwecard.css	(revision 20078)
+++ /extensions/Piwecard/css/piwecard.css	(revision 20079)
@@ -2,4 +2,9 @@
  * | Ecard form                                                            |
  * +-----------------------------------------------------------------------+ */
+
+.clear {
+	clear: both;
+}
+ 
 #addECardForm {
 	line-height: 1.5em;
Index: /extensions/Piwecard/language/fr_FR/description.txt
===================================================================
--- /extensions/Piwecard/language/fr_FR/description.txt	(revision 20078)
+++ /extensions/Piwecard/language/fr_FR/description.txt	(revision 20079)
@@ -1,1 +1,1 @@
-Génération de cartes virtuelles 
+﻿Génération de cartes virtuelles 
Index: /extensions/Piwecard/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 20078)
+++ /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 20079)
@@ -1,103 +1,86 @@
 <?php
-$lang['piwecard_plugin']						= 'Plugin Piwecard';
-
-//Admin pages
-$lang['piwecard_admin_saveOK'] 					= 'Informations enregistrées dans la base de données';
+$lang['piwecard_plugin'] = 'Plugin Piwecard';
 
 //admin.php
-$lang['piwecard_admin_authorizations']			= 'Droits d\'accès';
-$lang['piwecard_admin_configuration']			= 'Configuration';
-$lang['piwecard_admin_management']				= 'Gestion';
+$lang['piwecard_admin_authorizations'] = 'Droits d\'accès';
+$lang['piwecard_admin_configuration'] = 'Configuration';
+$lang['piwecard_admin_management'] = 'Gestion';
 
 //admin_authorizations.php
-$lang['piwecard_selected_cats']					= 'Catégories sélectionnées';
+$lang['piwecard_selected_cats'] = 'Albums sélectionnées';
 $lang['piwecard_non_selected_cats'] = 'Albums non sélectionnés';
 
 //admin_authorizations.tpl
-$lang['piwecard_authorizations_cat']			= 'Droits d\'accès en fonction des catégories';
-$lang['piwecard_authorizations_all_cats']		= 'L\'envoi de carte virtuelle est autorisé sur toutes les catégories accessibles par l\'utilisateur';
-$lang['piwecard_authorizations_selected_cats']  = 'L\'envoi de carte virtuelle est autorisé uniquement sur une sélection de catégories et si les catégories sélectionnées sont accessibles à l\'utilisateur';
-$lang['piwecard_authorizations_user_cat']		= 'L\'envoi de carte virtuelle est autorisé uniquement si la catégorie ou une de ses parentes porte le même nom que l\'utilisateur (sensible à la casse) ou si l\'utilisateur est l\'auteur de la photo';
+$lang['piwecard_authorizations_cat'] = 'Droits d\'accès en fonction des albums';
+$lang['piwecard_authorizations_all_cats'] = 'L\'envoi de carte virtuelle est autorisé sur tous les albums accessibles par l\'utilisateur';
+$lang['piwecard_authorizations_selected_cats']  = 'L\'envoi de carte virtuelle est autorisé uniquement sur une sélection d\'albums et si les albums sélectionnés sont accessibles à l\'utilisateur';
+$lang['piwecard_authorizations_user_cat'] = 'L\'envoi de carte virtuelle est autorisé uniquement si l\'album ou une de ses parents porte le même nom que l\'utilisateur (sensible à la casse) ou si l\'utilisateur est l\'auteur de la photo';
 
 //admin_configuration.php
-$lang['piwecard_nolimit']						= 'Illimitée';
-$lang['piwecard_email_format_default_error']	= 'Le format d\'envoi d\'email par défaut doit être un des formats sélectionnés';
+$lang['piwecard_nolimit'] = 'Illimitée';
+$lang['piwecard_email_format_default_error'] = 'Le format d\'envoi d\'email par défaut doit être un des formats sélectionnés';
 
 //admin_configuration.tpl
-$lang['piwecard_configuration'] 				= 'Configuration de base';
-$lang['piwecard_validity_default']				= 'Validité de la carte virtuelle par défaut';
-$lang['piwecard_sender_copy']					= 'Envoyer une copie de la carte virtuelle à l\'expéditeur';
-$lang['piwecard_sender_email_change']			= 'Autoriser l\'expéditeur de changer son adresse email (non appliquable aux guests sauf si l\'adresse email par défaut est configurée)';
-$lang['piwecard_email_format']					= 'Format d\'email';
-$lang['piwecard_email_format_text']				= 'Texte';
-$lang['piwecard_email_format_html']				= 'HTML';
-$lang['piwecard_email_format_default']			= 'Format d\'email par défaut';
-$lang['piwecard_show_image_infos']				= 'Montrer le titre et l\'auteur de l\'image sous l\'image';
-$lang['piwecard_default_guest_email']			= 'Adresse email par défaut pour les guests';
-$lang['piwecard_email_configuration']			= 'Configurations des emails';
-$lang['piwecard_email_subject']					= 'Objet';
-$lang['piwecard_email_message_text']			= 'Message pour les envois au format texte';
-$lang['piwecard_email_message_html']			= 'Message pour les envois au format HTML';
-$lang['piwecard_parameters']					= 'Parametres';
-$lang['piwecard_sender_name']					= 'Nom de l\'expéditeur';
-$lang['piwecard_sender_email']					= 'Adresse email de l\'expéditeur';
-$lang['piwecard_recipient_name']				= 'Nom du destinataire';
-$lang['piwecard_recipient_email']				= 'Adresse email du destinataire';
-$lang['piwecard_website']						= 'Nom de la galerie';
-$lang['piwecard_website_url']					= 'URL de la galerie';
-$lang['piwecard_ecard_url'] = 'URL de l\'e-card';
-$lang['piwecard_ecard_subject']					= 'Titre de la carte virtuelle';
-$lang['piwecard_ecard_message']					= 'Message';
-$lang['piwecard_ecard_image_url'] = 'URL de l\'image';
+$lang['piwecard_configuration'] = 'Configuration de base';
+$lang['piwecard_validity_default'] = 'Validité de la carte virtuelle par défaut';
+$lang['piwecard_sender_copy'] = 'Envoyer une copie de la carte virtuelle à l\'expéditeur';
+$lang['piwecard_sender_email_change'] = 'Autoriser l\'expéditeur de changer son adresse email (non appliquable aux guests sauf si l\'adresse email par défaut est configurée)';
+$lang['piwecard_email_format'] = 'Format d\'email';
+$lang['piwecard_email_format_text'] = 'Texte';
+$lang['piwecard_email_format_html'] = 'HTML';
+$lang['piwecard_email_format_default'] = 'Format d\'email par défaut';
+$lang['piwecard_show_image_infos'] = 'Montrer le titre et l\'auteur de l\'image sous l\'image';
+$lang['piwecard_default_guest_email'] = 'Adresse email par défaut pour les guests';
+$lang['piwecard_email_configuration'] = 'Configurations des emails';
+$lang['piwecard_email_subject'] = 'Objet';
+$lang['piwecard_email_message_text'] = 'Message pour les envois au format texte';
+$lang['piwecard_email_message_html'] = 'Message pour les envois au format HTML';
+$lang['piwecard_sender_name'] = 'Nom de l\'expéditeur';
+$lang['piwecard_sender_email'] = 'Adresse email de l\'expéditeur';
+$lang['piwecard_recipient_name'] = 'Nom du destinataire';
+$lang['piwecard_recipient_email'] = 'Adresse email du destinataire';
+$lang['piwecard_website_url'] = 'Adresse de la galerie';
+$lang['piwecard_ecard_url'] = 'Adresse de la carte virtuelle';
+$lang['piwecard_ecard_subject'] = 'Titre de la carte virtuelle';
+$lang['piwecard_ecard_message'] = 'Message';
+$lang['piwecard_ecard_image_url'] = 'Adresse de l\'image';
 $lang['piwecard_ecard_image_infos'] = 'Informations de l\'image (titre et auteur)';
 
-
-//admin_management.php
-
-
 //admin_management.tpl
-$lang['piwecard_list'] 							= 'Liste des cartes virtuelles';
-$lang['piwecard_nb_ecard_valid_total'] 			= '%nb_valid% cartes virtuelles valides sur %nb_total% cartes virtuelles';
-$lang['piwecard_delete_all_invalid'] 			= 'Supprimer toutes les cartes virtuelles périmées';
-$lang['piwecard_title'] 						= 'Titre';
-$lang['piwecard_date_creation'] 				= 'Date';
-$lang['piwecard_sender_name'] 					= 'Expéditeur';
-$lang['piwecard_recipient_name'] 				= 'Destinataire';
-$lang['piwecard_validity'] 						= 'Date de péremption';
-$lang['piwecard_delete'] 						= 'Supprimer';
-$lang['piwecard_deleted'] 						= 'Les cartes virtuelles sélectionnées ont été supprimées.';
-$lang['piwecard_invalid_deleted'] 				= 'Toutes les cartes périmées ont été supprimées.';
-$lang['piwecard_nb_ecard_page'] 				= 'Nombre de cartes virtuelles par page';
-$lang['piwecard_no_ecard'] 						= 'Aucune carte virtuelle dans la base de données';
-$lang['piwecard_delete_selected']				= 'Supprimer les cartes virtuelles sélectionnées';
+$lang['piwecard_list'] = 'Liste des cartes virtuelles';
+$lang['piwecard_nb_ecard_valid_total'] = '%nb_valid% cartes virtuelles valides sur %nb_total% cartes virtuelles';
+$lang['piwecard_delete_all_invalid'] = 'Supprimer toutes les cartes virtuelles périmées';
+$lang['piwecard_validity'] = 'Date de péremption';
+$lang['piwecard_deleted'] = 'Les cartes virtuelles sélectionnées ont été supprimées.';
+$lang['piwecard_invalid_deleted'] = 'Toutes les cartes périmées ont été supprimées.';
+$lang['piwecard_nb_ecard_page'] = 'Nombre de cartes virtuelles par page';
+$lang['piwecard_no_ecard'] = 'Aucune carte virtuelle dans la base de données';
+$lang['piwecard_delete_selected'] = 'Supprimer les cartes virtuelles sélectionnées';
 
 //ecard.tpl
-$lang['piwecard_send_stage1'] 					= 'Etape 1: Ecrire le message';
-$lang['piwecard_send_stage2'] 					= 'Etape 2: Modifier les informations';
-$lang['piwecard_send_stage3'] 					= 'Etape 3: Options';
-$lang['piwecard_send_stage4'] 					= 'Etape 4: Envoyer la carte virtuelle !';
-$lang['piwecard_error'] 						= 'Erreur !';
-$lang['piwecard_error_text'] 					= 'Entrer un texte.';
-$lang['piwecard_error_email'] 					= 'Entrer une adresse email valide.';
-$lang['piwecard_error_integer'] 				= 'Entrer un nombre.';
-$lang['piwecard_errors'] 						= 'Voir le détail des erreurs ci-dessous';
-$lang['piwecard_send_title'] 					= 'Titre';
-$lang['piwecard_send_message'] 					= 'Message';
-$lang['piwecard_sender'] 						= 'Expéditeur';
-$lang['piwecard_recipient'] 					= 'Destinataire';
-$lang['piwecard_validity_label'] 				= 'Durée de validité';
-$lang['piwecard_send_mandatory_fields'] 		= 'Champs obligatoires';
-$lang['piwecard_send'] 							= 'Envoyer';
-$lang['piwecard_send_link']						= 'Cliquez ici pour envoyer une carte virtuelle';
+$lang['piwecard_send_stage1'] = 'Etape 1: Ecrire le message';
+$lang['piwecard_send_stage2'] = 'Etape 2: Modifier les informations';
+$lang['piwecard_send_stage3'] = 'Etape 3: Options';
+$lang['piwecard_send_stage4'] = 'Etape 4: Envoyer la carte virtuelle !';
+$lang['piwecard_error'] = 'Erreur !';
+$lang['piwecard_error_text'] = 'Entrer un texte.';
+$lang['piwecard_error_email'] = 'Entrer une adresse email valide.';
+$lang['piwecard_error_integer'] = 'Entrer un nombre.';
+$lang['piwecard_errors'] = 'Voir le détail des erreurs ci-dessous';
+$lang['piwecard_sender'] = 'Expéditeur';
+$lang['piwecard_recipient'] = 'Destinataire';
+$lang['piwecard_validity_label'] = 'Durée de validité';
+$lang['piwecard_send_mandatory_fields'] = 'Champs obligatoires';
+$lang['piwecard_send'] = 'Envoyer';
+$lang['piwecard_send_link'] = 'Cliquez ici pour envoyer une carte virtuelle';
 
 //publish.tpl
-$lang['piwecard_invalid_ecard']  				= 'Carte virtuelle invalide ou expirée';
-$lang['piwecard_publish_footer']  				= 'Cette carte virtuelle a été envoyée par ';
+$lang['piwecard_invalid_ecard']  = 'Carte virtuelle invalide ou expirée';
+$lang['piwecard_publish_footer']  = 'Cette carte virtuelle a été envoyée par ';
 
 //piwecard.class.php
-$lang['piwecard_subject']						= 'Objet de l\'email';
-$lang['piwecard_message']						= 'Message';
-$lang['piwecard_recipient_name']				= 'Nom du destinataire';
-$lang['piwecard_recipient_email']				= 'Nom de l\'expéditeur';
-$lang['piwecard_days']							= 'jours';
+$lang['piwecard_message'] = 'Message';
+$lang['piwecard_recipient_name'] = 'Nom du destinataire';
+$lang['piwecard_recipient_email'] = 'email de l\'expéditeur';
+$lang['piwecard_days'] = 'jours';
 ?>
Index: /extensions/Piwecard/main.inc.php
===================================================================
--- /extensions/Piwecard/main.inc.php	(revision 20078)
+++ /extensions/Piwecard/main.inc.php	(revision 20079)
@@ -1,3 +1,3 @@
-<?php
+﻿<?php
 /*
  * Plugin Name: Piwecard
@@ -7,10 +7,8 @@
  * Author: Tiico & Julien1311
  * */
- 
+
 if (!defined('PHPWG_ROOT_PATH'))  die('Hacking attempt!');
 
 global $prefixeTable;
-
-define('ECARD_VERSION', '1.1.0');
 
 define('PIWECARD_ROOT', dirname(__FILE__));
@@ -21,6 +19,4 @@
 define('PIWECARD_TABLE', $prefixeTable . 'piwecard');
 define('PIWECARD_ADMIN',   get_root_url() . 'admin.php?page=plugin-'.PIWECARD_DIR);
-
-load_language('plugin.lang', PIWECARD_PATH);
 
 include_once(PIWECARD_INC_PATH.'piwecard.class.php');
@@ -40,6 +36,4 @@
 add_event_handler('loc_end_index', array(&$piwecard, 'index_ecard'));
 
-add_event_handler('loc_end_page_header', 'css_js_ecard');
-
 set_plugin_data($plugin['id'], $piwecard);
 
@@ -47,9 +41,7 @@
  * | Plugin admin                                                          |
  * +-----------------------------------------------------------------------+ */
+add_event_handler('get_admin_plugin_menu_links', 'piwecard_admin_menu');
 
-// Add an entry to the plugins menu
-add_event_handler('get_admin_plugin_menu_links', 'ecard_admin_menu');
-
-function ecard_admin_menu($menu) {
+function piwecard_admin_menu($menu) {
 	array_push(
 		$menu, array(
@@ -64,6 +56,7 @@
  * | CSS/JS Style                                                          |
  * +-----------------------------------------------------------------------+ */
+add_event_handler('loc_end_page_header', 'piwecard_css_js');
 
-function css_js_ecard() {
+function piwecard_css_js() {
 	global $template;
 	
@@ -72,4 +65,4 @@
 	
 	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.PIWECARD_PATH . 'css/piwecard.css">');
-}	
+}
 ?>
Index: /extensions/Piwecard/template/ecard.tpl
===================================================================
--- /extensions/Piwecard/template/ecard.tpl	(revision 20078)
+++ /extensions/Piwecard/template/ecard.tpl	(revision 20079)
@@ -107,4 +107,5 @@
 					<span class="ecard_label"><label for="ecard_copy">{'piwecard_sender_copy'|@translate} :</label></span>
 					<span><input type="checkbox" id="ecard_copy" name="ecard_copy" {$ecard.copy}/></span>
+					<div class="clear"></div>
 				</div>
 				<div class="ecard_field">
@@ -112,5 +113,5 @@
 						<span>
 						{foreach from=$ecard_email_format item=ecard_email_format}
-							<input type="radio" name="ecard_email_format" id="ecard_email_format_{$ecard_email_format.id}" value="{$ecard_email_format.id}" {$ecard_email_format.selected}><label for="ecard_email_format_{$ecard_email_format.id}">{$ecard_email_format.name} </label>
+							<input type="radio" name="ecard_email_format" id="ecard_email_format_{$ecard_email_format.id}" value="{$ecard_email_format.id}" {$ecard_email_format.selected}><label for="ecard_email_format_{$ecard_email_format.id}"> {$ecard_email_format.name} </label>
 						{/foreach}
 					</span>
@@ -121,5 +122,5 @@
 						<span>
 							{foreach from=$ecard_validity item=ecard_validity}
-								<input type="radio" name="ecard_validity" id="ecard_validity_{$ecard_validity.id}" value="{$ecard_validity.id}" {$ecard_validity.selected}><label for="ecard_validity_{$ecard_validity.id}">{$ecard_validity.name} </label>
+								<input type="radio" name="ecard_validity" id="ecard_validity_{$ecard_validity.id}" value="{$ecard_validity.id}" {$ecard_validity.selected}><label for="ecard_validity_{$ecard_validity.id}"> {$ecard_validity.name} </label>
 							{/foreach}
 						</span>