Index: extensions/UserCollections/admin/export.php
===================================================================
--- extensions/UserCollections/admin/export.php	(revision 20097)
+++ extensions/UserCollections/admin/export.php	(revision 20099)
@@ -12,8 +12,13 @@
 }
 
+// pwg_unset_session_var('uc_export_active_fields');
+// pwg_unset_session_var('uc_export_inactive_fields');
 
 if (isset($_POST['download']))
 {
-  $content = $UserCollection->serialize($_POST['content']);
+  pwg_set_session_var('uc_export_active_fields', $_POST['active']);
+  pwg_set_session_var('uc_export_inactive_fields', $_POST['inactive']);
+  
+  $content = $UserCollection->serialize($_POST['active']);
   $filename = 'collection_'.$_GET['col_id'].'_'.date('Ymd-Hi').'.csv';
   
@@ -32,4 +37,22 @@
 }
 
+$default_active_fields = array(
+  'id',
+  'name',
+  'path',
+  );
+$default_inactive_fields = array(
+  'file',
+  'url',
+  'date_creation',
+  'collection_add_date',
+  'filesize',
+  'width',
+  'height',
+  );
+
+$template->assign('active_fields', pwg_get_session_var('uc_export_active_fields', $default_active_fields));
+$template->assign('inactive_fields', pwg_get_session_var('uc_export_inactive_fields', $default_inactive_fields));
+
 $template->set_filename('user_collections', dirname(__FILE__) . '/template/export.tpl');
 
Index: extensions/UserCollections/admin/template/export.tpl
===================================================================
--- extensions/UserCollections/admin/template/export.tpl	(revision 20097)
+++ extensions/UserCollections/admin/template/export.tpl	(revision 20099)
@@ -20,7 +20,14 @@
 });
 
+$("#invokeFrame").load(function() {
+  $(this).css('height', $(this).contents().find('body').outerHeight(true)+10);
+});
+
 $("input[name='download']").click(function() {
   $("#fields_active li").each(function() {
-    $("#export_form").append('<input type="hidden" name="content[]" value="'+ $(this).data('name') +'"/>');
+    $("#export_form").append('<input type="hidden" name="active[]" value="'+ $(this).data('name') +'"/>');
+  });
+  $("#fields_inactive li").each(function() {
+    $("#export_form").append('<input type="hidden" name="inactive[]" value="'+ $(this).data('name') +'"/>');
   });
 });
@@ -37,12 +44,13 @@
   <ul id="fields_active" class="connectedSortable">
     <h4>{'Active'|@translate}</h4>
-    <li data-name="id"><img src="{$themeconf.admin_icon_dir}/cat_move.png"> id</li>
-    <li data-name="name"><img src="{$themeconf.admin_icon_dir}/cat_move.png"> name</li>
-    <li data-name="path"><img src="{$themeconf.admin_icon_dir}/cat_move.png"> path</li>
+  {foreach from=$active_fields item=field}
+    <li data-name="{$field}"><img src="{$themeconf.admin_icon_dir}/cat_move.png"> {$field}</li>
+  {/foreach}
   </ul>
   <ul id="fields_inactive" class="connectedSortable">
     <h4>{'Inactive'|@translate}</h4>
-    <li data-name="file"><img src="{$themeconf.admin_icon_dir}/cat_move.png"> file</li>
-    <li data-name="url"><img src="{$themeconf.admin_icon_dir}/cat_move.png"> url</li>
+  {foreach from=$inactive_fields item=field}
+    <li data-name="{$field}"><img src="{$themeconf.admin_icon_dir}/cat_move.png"> {$field}</li>
+  {/foreach}
   </ul>
   
Index: extensions/UserCollections/admin/template/style.css
===================================================================
--- extensions/UserCollections/admin/template/style.css	(revision 20097)
+++ extensions/UserCollections/admin/template/style.css	(revision 20099)
@@ -44,5 +44,5 @@
 .connectedSortable {
   display:inline-block;
-  width:150px;
+  width:170px;
   vertical-align:top;
   border:1px dashed #7a7a7a;
@@ -96,4 +96,6 @@
 #invokeFrame {
   width:100%;
-  height:500px;
+  background:#e7e7e7;
+  color:#222;
+  border:none;
 }
Index: extensions/UserCollections/include/UserCollection.class.php
===================================================================
--- extensions/UserCollections/include/UserCollection.class.php	(revision 20097)
+++ extensions/UserCollections/include/UserCollection.class.php	(revision 20099)
@@ -504,5 +504,5 @@
   function serialize($params)
   {
-    $params = array_intersect($params, array('id','file','name','url','path'));
+    $params = array_intersect($params, array('id','file','name','url','path','date_creation','collection_add_date','filesize','width','height'));
     
     $content = null;
@@ -514,7 +514,13 @@
     file,
     name,
-    path
+    path,
+    date_creation,
+    filesize,
+    width,
+    height,
+    add_date AS collection_add_date
   FROM '.IMAGES_TABLE.'
-  WHERE id IN('.implode(',', $this->images).')
+    JOIN '.COLLECTION_IMAGES_TABLE.' ON id = image_id
+  WHERE col_id = '.$this->data['id'].'
   ORDER BY id
 ;';
@@ -537,8 +543,4 @@
           switch ($field)
           {
-          case 'id':
-            $element[] = $row['id']; break;
-          case 'file':
-            $element[] = $row['file']; break;
           case 'name':
             $element[] = render_element_name($row); break;
@@ -547,4 +549,6 @@
           case 'path':
             $element[] = $root_url.ltrim($row['path'], './'); break;
+          default:
+            $element[] = $row[$field]; break;
           }
         }
Index: extensions/UserCollections/include/events.inc.php
===================================================================
--- extensions/UserCollections/include/events.inc.php	(revision 20097)
+++ extensions/UserCollections/include/events.inc.php	(revision 20099)
@@ -126,5 +126,5 @@
 {
   // add links
-  $search = '#(<span class="wrap1">|<li class="gthumb">)#';
+  $search = '#(<li>|<li class="gthumb">)#';
   $replace = '$1
 {strip}<a class="addCollection" href="{$collection_toggle_url}{$thumbnail.id}" data-id="{$thumbnail.id}" rel="nofollow">
Index: extensions/UserCollections/template/thumbnails_css_js.tpl
===================================================================
--- extensions/UserCollections/template/thumbnails_css_js.tpl	(revision 20097)
+++ extensions/UserCollections/template/thumbnails_css_js.tpl	(revision 20099)
@@ -1,6 +1,6 @@
 {html_style}
-.thumbnails .wrap1 {ldelim} position:relative !important; }
-.wrap1 .addCollection, .gthumb .addCollection {ldelim} width:100%;height:16px;display:none;position:absolute;top:0;background:rgba(0,0,0,0.8);padding:2px;border-radius:2px;font-size:10px;z-index:100 !important;color:#eee;white-space:nowrap; }
-.wrap1:hover .addCollection, .gthumb:hover .addCollection {ldelim} display:block; }
+#thumbnails li {ldelim} position:relative !important;display:inline-block; }
+li .addCollection {ldelim} width:100%;height:16px;display:none;position:absolute;top:0;background:rgba(0,0,0,0.8);padding:2px;border-radius:2px;font-size:10px;z-index:100 !important;color:#eee;white-space:nowrap; }
+li:hover .addCollection {ldelim} display:block !important; }
 {/html_style}
 