Index: /extensions/Piwecard/admin/admin_configuration.php
===================================================================
--- /extensions/Piwecard/admin/admin_configuration.php	(revision 20102)
+++ /extensions/Piwecard/admin/admin_configuration.php	(revision 20103)
@@ -12,4 +12,5 @@
     $configuration['validity_default'] = $_POST['ecard_validity_default'];
     $configuration['sender_copy'] = isset($_POST['ecard_sender_copy']);
+	$configuration['image_size'] = $_POST['ecard_image_size'];
     $configuration['sender_email_change'] = isset($_POST['ecard_sender_email_change']);
 	
@@ -65,4 +66,14 @@
 }
 
+$derivative_map = array();
+foreach(ImageStdParams::get_defined_type_map() as $params) {
+	$derivative_map[$params->type]['name'] = l10n($params->type);
+	if ($params->type == $piwecard->config['image_size'])
+		$derivative_map[$params->type]['selected'] = 'checked="checked"';
+	else
+		$derivative_map[$params->type]['selected'] = '';
+}
+$template->assign('generate_derivatives_types', $derivative_map);
+
 foreach($piwecard->config['validity'] as $validity) {
 	$template->append('ecard_validity', array(
Index: /extensions/Piwecard/admin/template/admin_configuration.tpl
===================================================================
--- /extensions/Piwecard/admin/template/admin_configuration.tpl	(revision 20102)
+++ /extensions/Piwecard/admin/template/admin_configuration.tpl	(revision 20103)
@@ -95,4 +95,12 @@
 				<input type="checkbox" name="ecard_show_image_infos" id="ecard_show_image_infos" {$ecard_show_image_infos} value="1" /><label for="ecard_show_image_infos"> {'piwecard_show_image_infos'|@translate}</label>
 			</div>
+			<div class="ecard_form_line">
+				<div>
+					{'piwecard_ecard_derivative'|@translate}
+				</div>
+				{foreach from=$generate_derivatives_types key=type item=item}
+					<label><input type="radio" name="ecard_image_size" value="{$type}" {$item.selected}/> {$item.name}</label>
+				{/foreach}
+			</div>
 		</fieldset>
 
Index: /extensions/Piwecard/include/publish.inc.php
===================================================================
--- /extensions/Piwecard/include/publish.inc.php	(revision 20102)
+++ /extensions/Piwecard/include/publish.inc.php	(revision 20103)
@@ -33,9 +33,8 @@
 		$template->assign('ecard', array(
 				'title' 		=> $result_array['title'],
-				'image' 		=> $result_array['image'],
 				'message' 		=> $result_array['message'],
 				'url'			=> $url,
 				'name' 			=> $row['name'],
-				'image' 		=> DerivativeImage::url(IMG_LARGE, $row),
+				'image' 		=> DerivativeImage::url($piwecard->config['image_size'], $row),
 				'sender_email' 	=> $result_array['sender_email'],
 				'sender_name' 	=> $result_array['sender_name'],
Index: /extensions/Piwecard/install/default_values.inc.php
===================================================================
--- /extensions/Piwecard/install/default_values.inc.php	(revision 20102)
+++ /extensions/Piwecard/install/default_values.inc.php	(revision 20103)
@@ -9,4 +9,5 @@
 $ecard_default_values['validity_choice'] = '1';						//Add function for a user to choose the valid duration of an ecard
 $ecard_default_values['sender_copy'] = false;						//Send a copy to sender
+$ecard_default_values['image_size'] = 'small';						//Size of the image in the ecard
 $ecard_default_values['sender_email_change'] = false;				//Possibility for the user to change the sender email
 $ecard_default_values['email_format'] = array('text', 'html');		//Type of mail sent : 'text' or 'html' or both
Index: /extensions/Piwecard/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 20102)
+++ /extensions/Piwecard/language/en_UK/plugin.lang.php	(revision 20103)
@@ -23,4 +23,5 @@
 //admin_configuration.tpl
 $lang['piwecard_configuration'] 				= 'Standard configuration';
+$lang['piwecard_ecard_derivative']				= 'Choose the size of the image in the e-card:';
 $lang['piwecard_validity_default']				= 'Default validity of the e-card';
 $lang['piwecard_sender_copy']					= 'Send a copy of the e-card to the sender';
Index: /extensions/Piwecard/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 20102)
+++ /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 20103)
@@ -23,4 +23,5 @@
 //admin_configuration.tpl
 $lang['piwecard_configuration'] = 'Configuration de base';
+$lang['piwecard_ecard_derivative'] = 'Choix de la taille de l\'image dans la carte virtuelle :';
 $lang['piwecard_validity_default'] = 'Validité de la carte virtuelle par défaut';
 $lang['piwecard_sender_copy'] = 'Envoyer une copie de la carte virtuelle à l\'expéditeur';