Index: /extensions/Piwecard/language/lv_LV/description.txt
===================================================================
--- /extensions/Piwecard/language/lv_LV/description.txt	(revision 20121)
+++ /extensions/Piwecard/language/lv_LV/description.txt	(revision 20122)
@@ -1,1 +1,1 @@
-Generate eCard
+Ģenerēt E-kartiņu
Index: /extensions/Piwecard/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/lv_LV/plugin.lang.php	(revision 20121)
+++ /extensions/Piwecard/language/lv_LV/plugin.lang.php	(revision 20122)
@@ -22,3 +22,49 @@
 $lang['piwecard_delete_all_invalid'] = 'Vai dzēst visas notecējušās eKartes?';
 $lang['piwecard_default_guest_email'] = 'Viesa ekartes Pasts pēc noklusēšanas';
+$lang['piwecard_show_image_infos'] = 'Rādīt nosaukumu un attēla autors zem attēla';
+$lang['piwecard_website_url'] = 'Gelerijas URL';
+$lang['piwecard_validity_label'] = 'Derīguma termiņš';
+$lang['piwecard_validity_default'] = 'E-kartiņas derīgums pēc noklusēšanas';
+$lang['piwecard_validity'] = 'Derīguma datums';
+$lang['piwecard_valid'] = 'Derīgs';
+$lang['piwecard_permissions_user_cat'] = 'E-kartīšu nosūtīšana ir atļauta tikai tad, ja kategoriju vai vienu no mātes kategorijām ir nosaucis lietotājs (reģistrjutīgs) vai ja lietotājs ir attēla autors';
+$lang['piwecard_permissions_selected_cats'] = 'E-kartīšu nosūtīšana ir atļauta tikai atlasītām kategorijām, ja šīs kategorijas lietotājam ir pieejamas';
+$lang['piwecard_permissions_all_cats'] = 'E-kartīšu nosūtīšana ir atļauta visām kategorijām, kas pieejamas lietotājam';
+$lang['piwecard_permissions_cat'] = 'Atļaujas atkarībā no kategorijas';
+$lang['piwecard_send'] = 'Sūtīt';
+$lang['piwecard_sender_copy'] = 'Nosūtīt e-kartiņas kopiju sūtītājam';
+$lang['piwecard_send_mandatory_fields'] = 'Obligāti aizpildāmie lauki';
+$lang['piwecard_send_link'] = 'Klikšķināt šeit, lai nosūtītu e-kartiņu';
+$lang['piwecard_selected_cats'] = 'Atlasītas kategorijas';
+$lang['piwecard_non_selected_cats'] = 'Nav atlasīta neviena kategorija';
+$lang['piwecard_no_ecard'] = 'Datu bāzē nav e-kartiņu';
+$lang['piwecard_nb_ecard_valid_total'] = '%nb_valid% derīgu e-kartiņu no %nb_total% e-kartiņām';
+$lang['piwecard_nb_ecard_page'] = 'E-kartiņu skaits lapā';
+$lang['piwecard_invalid_deleted'] = 'Visas e-kartiņas, kam beidzies derīgums, ir izdzēstas';
+$lang['piwecard_invalid'] = 'Beidzies derīgums';
+$lang['piwecard_errors'] = 'Skatīt detalizētu kļūdu sarakstu lejāk';
+$lang['piwecard_error_text'] = 'Lūdzu ievadiet tekstu';
+$lang['piwecard_error_integer'] = 'Lūdzu ievadiet derīgu skaitli';
+$lang['piwecard_error_email'] = 'Lūdzu ievadied derīgu e-pasta adresi';
+$lang['piwecard_error'] = 'Kļūda!';
+$lang['piwecard_email_message_text'] = 'Ziņa, ja e-pasta formāts ir teksts';
+$lang['piwecard_email_message_html'] = 'Ziņa, ja e-pasta formāts ir HTML';
+$lang['piwecard_email_format_default_error'] = 'Noklusējuma e-pasta formātam jābūt vienam no izvēlētajiem e-pasta formātiem';
+$lang['piwecard_email_format_html'] = 'HTML';
+$lang['piwecard_email_format_text'] = 'Teksts';
+$lang['piwecard_email_format_default'] = 'e-pasta formāts pēc noklusējuma';
+$lang['piwecard_email_format'] = 'e-pasta formāts';
+$lang['piwecard_email_configuration'] = 'e-pasta konfigurācija';
+$lang['piwecard_ecard_url'] = 'E-kartiņas URL';
+$lang['piwecard_ecard_subject'] = 'E-kartiņas nosaukums';
+$lang['piwecard_ecard_message'] = 'Ziņa';
+$lang['piwecard_ecard_image_url'] = 'Attēla URL';
+$lang['piwecard_ecard_image_infos'] = 'Attēla info (nosaukums un autors)';
+$lang['piwecard_ecard_derivative'] = 'Izvēlēties attēla izmēru e-kartiņā';
+$lang['piwecard_deleted'] = 'Atlasītās e-kartiņas ir izdzēstas';
+$lang['piwecard_delete_selected'] = 'Dzēst atlasītās e-kartiņas';
+$lang['piwecard_delete'] = 'Dzēst atlasītās e-kartiņas';
+$lang['piwecard_admin_management'] = 'Pārvaldība';
+$lang['piwecard_admin_permissions'] = 'Atļaujas';
+$lang['piwecard_admin_configuration'] = 'Konfigurācija';
 ?>