Index: trunk/language/en_UK/install.lang.php
===================================================================
--- trunk/language/en_UK/install.lang.php	(revision 20148)
+++ trunk/language/en_UK/install.lang.php	(revision 20149)
@@ -30,5 +30,5 @@
 $lang['Admin configuration'] = "Admin configuration";
 $lang['Start Install'] = "Start installation";
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = "mail address must be like xxx@yyy.eee (example : jack@altern.org)";
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'mail address must in the format xxx@yyy.eee (example: jack@altern.org)';
 $lang['Webmaster login'] = "Webmaster login";
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'It will be shown to visitors. It is necessary for website administration';
@@ -38,13 +38,13 @@
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = "localhost, sql.multimania.com, toto.freesurf.fr";
 $lang['User'] = "User";
-$lang['user login given by your host provider'] = "user login given by your host provider";
+$lang['user login given by your host provider'] = 'user login supplied by your host provider';
 $lang['Password'] = "Password";
-$lang['user password given by your host provider'] = "user password given by your host provider";
+$lang['user password given by your host provider'] = 'user password supplied by your host provider';
 $lang['Database name'] = "Database name";
-$lang['also given by your host provider'] = "also given by your host provider";
+$lang['also given by your host provider'] = 'also supplied by your hosting provider';
 $lang['Database table prefix'] = "Database tables prefix";
-$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = "database tables names will be prefixed with it (enables you to manage your tables better)";
-$lang['enter a login for webmaster'] = "enter a login for webmaster";
-$lang['webmaster login can\'t contain characters \' or "'] = "webmaster login can't contain characters ' or \"";
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'database table names will be prefixed with it (enables you to manage your tables better)';
+$lang['enter a login for webmaster'] = 'enter a webmaster login';
+$lang['webmaster login can\'t contain characters \' or "'] = 'the webmaster login may not contain the characters \' or "';
 $lang['please enter your password again'] = "please enter your password again";
 $lang['Webmaster password'] = "Webmaster password";
@@ -52,5 +52,5 @@
 $lang['Password [confirm]'] = "Password [confirm]";
 $lang['verification'] = "verification";
-$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Need help? Ask your question on <a href=\"%s\">Piwigo message board</a>.";
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Need help? Ask your question on the <a href="%s">Piwigo message board</a>.';
 $lang['Webmaster mail address'] = "Webmaster mail address";
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Visitors will be able to use this email to contact the site administrator';
@@ -58,5 +58,5 @@
 $lang['It appears your webhost is currently running PHP %s.'] = "It appears your webhost is currently running PHP %s.";
 $lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = "Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.";
-$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = "Note you can change your configuration by yourself and restart Piwigo after that.";
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Note you can change your configuration by yourself and then restart Piwigo.';
 $lang['Try to configure PHP 5'] = "Try to configure PHP 5";
 $lang['Sorry!'] = "Sorry!";
@@ -65,8 +65,8 @@
 $lang['Hope to see you back soon.'] = "Hope to see you back soon.";
 $lang['Congratulations, Piwigo installation is completed'] = 'Congratulations, Piwigo installation is completed';
-$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning: database.inc.php must only contain what is in the textarea, no line return or space character)';
 $lang['Creation of config file local/config/database.inc.php failed.'] = 'Creation of config file local/config/database.inc.php failed.';
 $lang['Download the config file'] = 'Download the config file';
-$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'You can download the config file and upload it to local/config directory of your installation.';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'You can download the config file and upload it to the local/config directory in your installation.';
 $lang['Just another Piwigo gallery'] = 'Just another Piwigo gallery';
 $lang['Welcome to my photo gallery'] = 'Welcome to my photo gallery';