Index: extensions/Piwecard/language/da_DK/description.txt
===================================================================
--- extensions/Piwecard/language/da_DK/description.txt	(revision 20151)
+++ extensions/Piwecard/language/da_DK/description.txt	(revision 20152)
@@ -1,1 +1,1 @@
-Generer eCard.
+Genererer e-kort.
Index: extensions/Piwecard/language/da_DK/plugin.lang.php
===================================================================
--- extensions/Piwecard/language/da_DK/plugin.lang.php	(revision 20151)
+++ extensions/Piwecard/language/da_DK/plugin.lang.php	(revision 20152)
@@ -1,38 +1,38 @@
 <?php
 $lang['piwecard_plugin'] = 'Piwecard';
-$lang['piwecard_send_stage1'] = 'Trin 1: Skriv din meddelelse';
-$lang['piwecard_send_stage2'] = 'Trin 2: Rediger oplysninger';
+$lang['piwecard_send_stage1'] = 'Trin 1: Skriv din besked';
+$lang['piwecard_send_stage2'] = 'Trin 2: Rediger oplysningerne';
 $lang['piwecard_send_stage3'] = 'Trin 3: Valgmuligheder';
-$lang['piwecard_send_stage4'] = 'Trin 4: Send eCard\'et!';
-$lang['piwecard_message'] = 'eCard-meddelelse';
+$lang['piwecard_send_stage4'] = 'Trin 4: Send e-kortet!';
+$lang['piwecard_message'] = 'Besked';
 $lang['piwecard_sender'] = 'Afsender';
 $lang['piwecard_recipient'] = 'Modtager';
 $lang['piwecard_sender_name'] = 'Afsenders navn';
-$lang['piwecard_sender_email'] = 'Afsenders mailadresse';
+$lang['piwecard_sender_email'] = 'Afsenders e-mailadresse';
 $lang['piwecard_recipient_name'] = 'Modtagers navn';
-$lang['piwecard_recipient_email'] = 'Modtagers mailadresse (dest@dest.com)';
-$lang['piwecard_invalid_ecard'] = 'Ugyldigt eller udløbet eCard';
-$lang['piwecard_publish_footer'] = 'Dette eCard blev sendt af';
+$lang['piwecard_recipient_email'] = 'Modtagers e-mailadresse';
+$lang['piwecard_invalid_ecard'] = 'Ugyldigt eller udløbet e-kort';
+$lang['piwecard_publish_footer'] = 'Dette e-kort blev sendt af';
 $lang['piwecard_configuration'] = 'Standardopsætning';
 $lang['piwecard_days'] = 'dage';
 $lang['piwecard_nolimit'] = 'Ubegrænset';
-$lang['piwecard_sender_email_change'] = 'Tillad at brugeren kan ændre afsendermail';
-$lang['piwecard_email_subject'] = 'Mailemne';
-$lang['piwecard_list'] = 'Liste over eCard';
-$lang['piwecard_delete_all_invalid'] = 'Slet alle udløbne eCard?';
-$lang['piwecard_default_guest_email'] = 'Standardmail for gæste-eCard';
+$lang['piwecard_sender_email_change'] = 'Tillad af afsenderen kan ændre sin e-mailadresse (gælder ikke gæster, med mindre standardmailadressen er opsat)';
+$lang['piwecard_email_subject'] = 'Emne på e-mail';
+$lang['piwecard_list'] = 'Liste over e-kort';
+$lang['piwecard_delete_all_invalid'] = 'Slet alle udløbne e-kort?';
+$lang['piwecard_default_guest_email'] = 'Standardmailadresse for gæster';
 
 $lang['piwecard_admin_configuration'] = 'Opsætning';
 $lang['piwecard_admin_management'] = 'Håndtering';
 $lang['piwecard_admin_permissions'] = 'Tilladelser';
-$lang['piwecard_delete'] = 'Slet valgte eCard';
-$lang['piwecard_delete_selected'] = 'Slet valgte eCard';
-$lang['piwecard_deleted'] = 'Valgte eCard er slettet.';
-$lang['piwecard_ecard_derivative'] = 'Vælg størrelsen på billedet til brug i eCard:';
+$lang['piwecard_delete'] = 'Slet valgte e-kort';
+$lang['piwecard_delete_selected'] = 'Slet valgte e-kort';
+$lang['piwecard_deleted'] = 'Valgte e-kort er slettet.';
+$lang['piwecard_ecard_derivative'] = 'Vælg størrelsen på billedet til brug i e-kortet:';
 $lang['piwecard_ecard_image_infos'] = 'Billedoplysninger (titel og forfatter)';
 $lang['piwecard_ecard_image_url'] = 'Billed-URL';
 $lang['piwecard_ecard_message'] = 'Besked';
-$lang['piwecard_ecard_subject'] = 'Titel på eCard';
-$lang['piwecard_ecard_url'] = 'URL til eCard';
+$lang['piwecard_ecard_subject'] = 'Titel på e-kort';
+$lang['piwecard_ecard_url'] = 'URL til e-kort';
 $lang['piwecard_email_configuration'] = 'Opsætning af e-mail';
 $lang['piwecard_email_format'] = 'Format på e-mail';
@@ -43,3 +43,29 @@
 $lang['piwecard_email_message_html'] = 'Besked når e-mailformatet er HTML';
 $lang['piwecard_email_message_text'] = 'Besked når e-mailformatet er tekst';
+$lang['piwecard_validity_default'] = 'Standardgyldighed på e-kort';
+$lang['piwecard_permissions_all_cats'] = 'Afsendelse af e-kort er autoriseret i alle kategorier, som er tilgængelige for brugeren';
+$lang['piwecard_permissions_selected_cats'] = 'Afsendelse af e-kort er kun autoriseret for et udvalg af kategorier og hvis de valgte kategorier er tilgængelige for brugeren';
+$lang['piwecard_permissions_user_cat'] = 'Afsendelse af e-kort er kun autoriseret hvis kategorien og en af dens forældre er navngivet efter brugeren (med forskel på små og store bogstaver) eller hvis brugeren er billedets forfatter';
+$lang['piwecard_selected_cats'] = 'Valgte kategorier';
+$lang['piwecard_send_link'] = 'Klik her for at sende et e-kort';
+$lang['piwecard_sender_copy'] = 'Send en kopi af e-kortet til afsenderen';
+$lang['piwecard_invalid_deleted'] = 'Alle udløbne e-kort er slettet.';
+$lang['piwecard_nb_ecard_page'] = 'Antal e-kort pr. side';
+$lang['piwecard_nb_ecard_valid_total'] = '%nb_valid% gyldige e-kort ud af %nb_total% e-kort';
+$lang['piwecard_no_ecard'] = 'Ingen e-kort i databasen';
+$lang['piwecard_show_image_infos'] = 'Vis billedets titel og forfatter under det';
+$lang['piwecard_valid'] = 'Gyldig';
+$lang['piwecard_validity'] = 'Gyldighedsdato';
+$lang['piwecard_validity_label'] = 'Gyldighedsperiode';
+$lang['piwecard_website_url'] = 'Galleri-URL';
+$lang['piwecard_error'] = 'Fejl!';
+$lang['piwecard_error_email'] = 'Skriv en gyldig e-mailadresse.';
+$lang['piwecard_error_integer'] = 'Skriv et gyldigt nummer.';
+$lang['piwecard_error_text'] = 'Skriv en tekst.';
+$lang['piwecard_errors'] = 'Se fejluddybning herunder';
+$lang['piwecard_invalid'] = 'Udløbet';
+$lang['piwecard_non_selected_cats'] = 'Ikke-valgte kategorier';
+$lang['piwecard_permissions_cat'] = 'Tilladelser er afhængige af kategorien';
+$lang['piwecard_send'] = 'Send';
+$lang['piwecard_send_mandatory_fields'] = 'Krævede felter';
 ?>