Index: /extensions/hr_glass_xl/theme.css
===================================================================
--- /extensions/hr_glass_xl/theme.css	(revision 20152)
+++ /extensions/hr_glass_xl/theme.css	(revision 20153)
@@ -72,5 +72,27 @@
 	text-shadow: 0 0 2px #000;
 }
-
+#languageSwitchBox{
+	font-size: 11px;
+	color: #000033 !important;
+	text-shadow: 0 0 2px #ccc;
+	padding: 4px 8px;
+	border: 1px solid rgba(255,255,255,0.25);
+	background-color: rgb(255,255,255) !important;
+	background-color: rgba(255,255,255,0.92)!important;
+	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(transparent), to(#fff));
+	border-radius: 3px;
+	-webkit-border-radius: 3px;
+	-moz-border-radius: 3px;
+	box-shadow: 0 0 5px #555;
+	-webkit-box-shadow: 0 0 5px #555;
+	-moz-box-shadow: 0 0 5px #555;
+}
+#languageSwitchBox A {
+	color: #000 !important;
+}
+
+#languageSwitchBox A:hover {
+	text-shadow: 0 0 2px #000 !important;
+}
 
 /* Page
Index: /extensions/hr_glass_xl/themeconf.inc.php
===================================================================
--- /extensions/hr_glass_xl/themeconf.inc.php	(revision 20152)
+++ /extensions/hr_glass_xl/themeconf.inc.php	(revision 20153)
@@ -16,21 +16,37 @@
   'activable'     => true,
 );
-// Need upgrade?
-  if (!isset($conf['hr_glass_xl']))
-  {
-    $config = array(
-      'home'       => true,
-      'categories' => true,
-      'picture'    => false,
-      'other'      => true,
-      );
-      
-    $query = '
+//// [update check]
+if (!isset($conf['hr_glass_xl']))
+{
+  $config = array(
+    'home'       => true,
+    'categories' => true,
+    'picture'    => false,
+    'other'      => true,
+    );
+    
+  $query = '
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
 VALUES ("hr_glass_xl" , "'.pwg_db_real_escape_string(serialize($config)).'" , "hr_glass_xl parameters");';
 
+  pwg_query($query);
+  load_conf_from_db();
+}
+if (isset($conf['derivatives']))  {    
+  $new = @unserialize($conf['derivatives']);
+  if(!isset($new['d']['Optimal']))
+  {
+    $new['d']['Optimal']=ImageStdParams::get_custom(900,9999); 
+    $query = '
+        UPDATE '.CONFIG_TABLE.'
+        SET value="'.addslashes(serialize($new)).'"
+        WHERE param = "derivatives"
+        LIMIT 1';
     pwg_query($query);
     load_conf_from_db();
   }
+}//// [/update check]
+
+
 
 // thx to P@t
@@ -119,5 +135,5 @@
 
 /************************************ picture.tpl ************************************/
-add_event_handler('render_element_content', 'hr_glass_xl_picture',  EVENT_HANDLER_PRIORITY_NEUTRAL, 20 );
+//add_event_handler('render_element_content', 'hr_glass_xl_picture',  EVENT_HANDLER_PRIORITY_NEUTRAL, 20 );
 function hr_glass_xl_picture($content, $element_info)
 {
Index: /extensions/hr_os/theme.css
===================================================================
--- /extensions/hr_os/theme.css	(revision 20152)
+++ /extensions/hr_os/theme.css	(revision 20153)
@@ -77,4 +77,27 @@
 #derivativeSwitchBox A:hover, #sortOrderBox A:hover {
 	text-shadow: 0 0 2px #000;
+}
+#languageSwitchBox{
+	font-size: 11px;
+	color: #000033 !important;
+	text-shadow: 0 0 2px #ccc;
+	padding: 4px 8px;
+	border: 1px solid rgba(255,255,255,0.25);
+	background-color: rgb(255,255,255) !important;
+	background-color: rgba(255,255,255,0.92)!important;
+	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(transparent), to(#fff));
+	border-radius: 3px;
+	-webkit-border-radius: 3px;
+	-moz-border-radius: 3px;
+	box-shadow: 0 0 5px #555;
+	-webkit-box-shadow: 0 0 5px #555;
+	-moz-box-shadow: 0 0 5px #555;
+}
+#languageSwitchBox A {
+	color: #000 !important;
+}
+
+#languageSwitchBox A:hover {
+	text-shadow: 0 0 2px #000 !important;
 }
 
Index: /extensions/hr_os/themeconf.inc.php
===================================================================
--- /extensions/hr_os/themeconf.inc.php	(revision 20152)
+++ /extensions/hr_os/themeconf.inc.php	(revision 20153)
@@ -16,21 +16,38 @@
   'activable'     => true,
 );
-// Need upgrade?
-  if (!isset($conf['hr_os']))
-  {
-    $config = array(
-      'home'       => true,
-      'categories' => true,
-      'picture'    => false,
-      'other'      => true,
-      );
-      
-    $query = '
+//// [update check]
+if (!isset($conf['hr_os']))
+{
+  $config = array(
+    'home'       => true,
+    'categories' => true,
+    'picture'    => false,
+    'other'      => true,
+    );
+    
+  $query = '
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
 VALUES ("hr_os" , "'.pwg_db_real_escape_string(serialize($config)).'" , "hr_os parameters");';
 
+  pwg_query($query);
+  load_conf_from_db();
+}
+if (isset($conf['derivatives']))  {    
+  $new = @unserialize($conf['derivatives']);
+  if(!isset($new['d']['Optimal']))
+  {
+    $new['d']['Optimal']=ImageStdParams::get_custom(730,9999); 
+    $query = '
+        UPDATE '.CONFIG_TABLE.'
+        SET value="'.addslashes(serialize($new)).'"
+        WHERE param = "derivatives"
+        LIMIT 1';
     pwg_query($query);
     load_conf_from_db();
   }
+}
+//// [/update check]
+
+
 // thx to P@t
 add_event_handler('loc_begin_page_header', 'set_hr_os_header');
@@ -117,5 +134,5 @@
 
 /************************************ picture.tpl ************************************/
-add_event_handler('render_element_content', 'hr_os_picture',  EVENT_HANDLER_PRIORITY_NEUTRAL, 20 );
+//add_event_handler('render_element_content', 'hr_os_picture',  EVENT_HANDLER_PRIORITY_NEUTRAL, 20 );
 function hr_os_picture($content, $element_info)
 {
Index: /extensions/hr_os_xl/admin/maintain.inc.php
===================================================================
--- /extensions/hr_os_xl/admin/maintain.inc.php	(revision 20152)
+++ /extensions/hr_os_xl/admin/maintain.inc.php	(revision 20153)
@@ -20,12 +20,39 @@
     pwg_query($query);
   }
+  if (isset($conf['derivatives']))  {    
+    $new = @unserialize($conf['derivatives']);
+    $new['d']['Optimal']=ImageStdParams::get_custom(900,9999); 
+    $query = '
+        UPDATE '.CONFIG_TABLE.'
+        SET value="'.pwg_db_real_escape_string(serialize($new)).'"
+        WHERE param = "derivatives"
+        LIMIT 1';
+    pwg_query($query);
+    load_conf_from_db();
+  }
+
 }
 
 function theme_deactivate()
 {
-  global $prefixeTable;
+  global $prefixeTable, $conf;
 
   $query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="hr_os_xl" LIMIT 1;';
   pwg_query($query);
+  if (isset($conf['derivatives']))  {    
+    $new = @unserialize($conf['derivatives']);
+    if( isset($new['d']['Optimal']))
+    {
+      unset($new['d']['Optimal']);
+      $conf['derivatives']=serialize($new);
+      $query = '
+          UPDATE '.CONFIG_TABLE.'
+          SET value="'.addslashes(serialize($new)).'"
+          WHERE param = "derivatives"
+          LIMIT 1';
+      pwg_query($query);
+    }
+  }
+
 }
 
Index: /extensions/hr_os_xl/theme.css
===================================================================
--- /extensions/hr_os_xl/theme.css	(revision 20152)
+++ /extensions/hr_os_xl/theme.css	(revision 20153)
@@ -59,5 +59,5 @@
 	color: #FFF;
 }
-#derivativeSwitchBox, #sortOrderBox {
+#languageSwitchBox, #derivativeSwitchBox, #sortOrderBox {
 	font-size: 11px;
 	color: #000033;
@@ -75,4 +75,20 @@
 	-moz-box-shadow: 0 0 5px #555;
 }
+#languageSwitchBox{
+	font-size: 11px;
+	color: #000033 !important;
+	text-shadow: 0 0 2px #ccc;
+	padding: 4px 8px;
+	border: 1px solid rgba(255,255,255,0.25);
+	background-color: rgb(255,255,255) !important;
+	background-color: rgba(255,255,255,0.92)!important;
+	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(transparent), to(#fff));
+	border-radius: 3px;
+	-webkit-border-radius: 3px;
+	-moz-border-radius: 3px;
+	box-shadow: 0 0 5px #555;
+	-webkit-box-shadow: 0 0 5px #555;
+	-moz-box-shadow: 0 0 5px #555;
+}
 #derivativeSwitchBox A, #sortOrderBox A {
 	color: #000;
@@ -81,4 +97,11 @@
 #derivativeSwitchBox A:hover, #sortOrderBox A:hover {
 	text-shadow: 0 0 2px #000;
+}
+#languageSwitchBox A {
+	color: #000 !important;
+}
+
+#languageSwitchBox A:hover {
+	text-shadow: 0 0 2px #000 !important;
 }
 
Index: /extensions/hr_os_xl/themeconf.inc.php
===================================================================
--- /extensions/hr_os_xl/themeconf.inc.php	(revision 20152)
+++ /extensions/hr_os_xl/themeconf.inc.php	(revision 20153)
@@ -16,20 +16,36 @@
   'activable'     => true,
 );
-  if (!isset($conf['hr_os_xl']))
-  {
-    $config = array(
-      'home'       => true,
-      'categories' => true,
-      'picture'    => false,
-      'other'      => true,
-      );
-      
-    $query = '
+//// [update check]
+if (!isset($conf['hr_os_xl']))
+{
+  $config = array(
+    'home'       => true,
+    'categories' => true,
+    'picture'    => false,
+    'other'      => true,
+    );
+    
+  $query = '
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
 VALUES ("hr_os_xl" , "'.pwg_db_real_escape_string(serialize($config)).'" , "hr_os_xl parameters");';
 
+  pwg_query($query);
+  load_conf_from_db();
+}
+if (isset($conf['derivatives']))  {    
+  $new = @unserialize($conf['derivatives']);
+  if(!isset($new['d']['Optimal']))
+  {
+    $new['d']['Optimal']=ImageStdParams::get_custom(900,9999); 
+    $query = '
+        UPDATE '.CONFIG_TABLE.'
+        SET value="'.addslashes(serialize($new)).'"
+        WHERE param = "derivatives"
+        LIMIT 1';
     pwg_query($query);
     load_conf_from_db();
   }
+}
+//// [/update check]
 
 // thx to P@t
@@ -117,5 +133,5 @@
 
 /************************************ picture.tpl ************************************/
-add_event_handler('render_element_content', 'hr_os_xl_picture',  EVENT_HANDLER_PRIORITY_NEUTRAL, 20 );
+//add_event_handler('render_element_content', 'hr_os_xl_picture',  EVENT_HANDLER_PRIORITY_NEUTRAL, 20 );
 function hr_os_xl_picture($content, $element_info)
 {